Bug 608710 - Various fatal SIGSEGV and SIGABRT errors when running yum
Summary: Various fatal SIGSEGV and SIGABRT errors when running yum
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 537700
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-28 14:24 UTC by Alexander Todorov
Modified: 2018-11-14 13:39 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 537700
Environment:
Last Closed: 2011-04-25 13:47:48 UTC
Target Upstream Version:


Attachments (Terms of Use)
Possible fix (508 bytes, patch)
2010-07-23 18:38 UTC, James Antill
no flags Details | Diff

Description Alexander Todorov 2010-06-28 14:24:47 UTC
+++ This bug was initially created as a clone of Bug #537700 +++

Description of problem:

An attempt to update with the latest rawhide fell in the following manner:
....

  Updating       : glibc-2.11.90-1.x86_64                               26/1254 
error: Couldn't fork %post(glibc-2.11.90-1.x86_64): Cannot allocate memory
  Updating       : bash-4.0.35-1.fc13.x86_ [######                  ]   27/1254*** glibc detected *** /usr/bin/python: malloc(): smallbin double linked list corrupted: 0x0000000009241810 ***

At this point yum got stuck in "S+" and no further progress was happening whatsoever even after a long wait (around 20 minutes).  Morever a straight 'kill' on a stuck process was ineffective.  'kill -9' did work but rpm database was not so happy after this.

By hook and by crook it was still possible to upgrade all python, yum and glibc packages but this had no real effects on the problem.  A subsequent attempt of 'yum-complete-transaction' got stuck in a similar manner, i.e. on every try, debugging or not, things were falling apart after "smallbin double linked list corrupted".

With a system in a really inconsisten state, some packages partially updated and a raft of duplicates,  in order to recover I had to 'rpm -Fvh --nodeps ...' on all packages in a cache one by one and that followed up by a required number of 'yum-complete-transaction' until none was left.  That worked.  Also smaller yum transactions, like for example 'yum update kernel\*', did not run into this list corruption issues.

Version-Release number of selected component (if applicable):
yum-3.2.24-9.fc12.noarch
python-2.6.2-2.fc12.x86_64
glibc-2.11-2.x86_64

and also, after updates:

yum-3.2.25-1.fc13.noarch
python-2.6.4-3.fc13.x86_64
glibc-2.11.90-1.x86_64

How reproducible:
Not sure.  I could not get past the problem until I used workarounds described above

Steps to Reproduce:
Hm?  Get into "big enough" yum transaction and wait for a corruption to happen?

Additional info:
The machine in question has 512 Megs of on-board memory.  When this happened 'free -m' was indicating that there is still quite a bit of memory available and that even discounting what is buffers/cache.  Swap was used in a minimal way.  Runs of 'memtest' on the hardware so far did not turn any problems.

An update was surely sizeable.  637 packages adding to 809 Megs to install.  Still in the past the same machine "survived" on occasions yum transaction of roughly the same orders.

--- Additional comment from james.antill@redhat.com on 2009-11-16 16:21:15 EET ---


 I'm going to assign this to python, but my guess is that it's a corner case due to:

error: Couldn't fork %post(glibc-2.11.90-1.x86_64): Cannot allocate memory

--- Additional comment from fedora-triage-list@redhat.com on 2009-11-16 17:34:08 EET ---


This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from dmalcolm@redhat.com on 2009-11-16 18:34:09 EET ---

Thanks for filing this bug.

The message:
  error: Couldn't fork %post(glibc-2.11.90-1.x86_64): Cannot allocate memory
came from inside librpm, in rpm/psm.c:runScript:
    if (psm->sq.child == (pid_t)-1) {
	rpmlog(RPMLOG_ERR, _("Couldn't fork %s: %s\n"), sname, strerror(errno));
	goto exit;
    }

This error path happens if a fork() syscall returns a negative number in rpmio/rpmsq.c:rpmsqFork which, according to the fork(2) manpage, leads to errno being set, so you're seeing this error (again from fork(2) manpage):

  ENOMEM fork() failed to allocate the necessary  kernel  structures  because memory is tight.

You mentioned that you've done upgrades of similar sizes in the past; have you ever seen these "fork" error messages before?

The error message
  *** glibc detected *** /usr/bin/python: malloc(): smallbin double linked
list corrupted: 0x0000000009241810 ***
came from inside:
  Void_t*  int_malloc(mstate av, size_t bytes)

This is an integrity check performed inside the malloc implementation (added on 2009-06-19 with this commit:
http://sourceware.org/git/?p=glibc.git;a=commitdiff;h=f6887a0d9a55f5c80c567d9cb153c1c6582410f9 , although similar checks have been present in the malloc code for a long time).

Something had become corrupted within the internal representation of the heap.  I suspect that what happened is that a write occurred outside of the range of an allocated block of memory _somewhere_ within the python process.  Unfortunately, it's hard to track this kind of thing down; they can lurk in rarely-used code paths in one of the modules (or a library they link to), perhaps linked to being extremely low on available memory.

Are you able to reproduce this at all?

--- Additional comment from michal@harddata.com on 2009-11-16 20:03:09 EET ---

> Are you able to reproduce this at all?

When I had this sizeable transaction still pending all attempts to 'yum-complete-transaction', and that was three or four of these (interspersed with updates to all python, yum and glibc packages which need/could be updated in attempts to get around the problem), were ending consistently with "smallbin double linked list corrupted" and a stuck process.  I also run 'rpm --rebuilddb' in between and also to no avail.

After fixing up "manually" a rather messed up system smaller yum transactions were not an issue.  Also some of mentioned above partial intermediate updates were done with a help of yum (glibc ended up after an aborted transaction as a tangled mess where yum could not go either forward or back).

If yum would just abort under a memory pressure, even with plenty of virtual memory still available, that would not make me very happy but an event would be somehow possible to explain.  Just stopping with structure corruptions smells to me like a serious bug (although likely hard to track and probably in python).

As I mentioned - in the past and on the same box yum transactions of a similar order did happen, if not that frequently, and before they were going through.

Comment 1 Alexander Todorov 2010-06-28 14:29:00 UTC
I've hit this with RHEL6.0-20100622.1 tree. The system is KVM domU with 512M of memory. 

Steps to reproduce:
1) Perform minimal install on KVM domU with 512M memory. My disk layout is sda1 - /boot, sda2 - PV sdb - PV, VG with / and swap (2048). 
2) Register to RHN testing instance with rhn_register
3) Subscribe to all available channels
4) Run yum groupinstall "Web server" "Devel*"

The last lines say:
Installing : libdaemon-0.14-1.el6.x86_64 45/134
*** glibc detected *** /usr/bin/python: malloc(): smallbin double linked list corrupted: 0x0000000003738c70 ***

Comment 2 RHEL Product and Program Management 2010-06-28 14:43:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Dave Malcolm 2010-06-28 19:46:01 UTC
(In reply to comment #1)
> I've hit this with RHEL6.0-20100622.1 tree. The system is KVM domU with 512M of
> memory. 
> 
> Steps to reproduce:

Alexander:
(i) are you able to reproduce this?
(ii) do you have a core dump of the python process?

Comment 4 Alexander Todorov 2010-06-29 10:08:04 UTC
Sorry , I can't reproduce this second time.

Comment 5 RHEL Product and Program Management 2010-07-15 14:51:08 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 6 Andrew Beekhof 2010-07-19 13:06:19 UTC
(In reply to comment #4)
> Sorry , I can't reproduce this second time.    

I can.  I've started getting this reasonably regularly.
The complete yum transaction (apologies in advance for the mangling bugzilla will do to the output) is below.

On a related note, I've been seeing a similar error from unrelated C code that has been running happily on other systems for well over five years.
Could this actually be a glibc issue?

Let me know if I can provide any further info.

-- Andrew

[root@pcmk-1 luci]# yum install -y emacs-nox
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package emacs-nox.x86_64 1:23.1-20.el6 set to be updated
--> Processing Dependency: emacs-common = 1:23.1-20.el6 for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2()(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Running transaction check
---> Package alsa-lib.x86_64 0:1.0.21-3.el6 set to be updated
---> Package emacs-common.x86_64 1:23.1-20.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================================================
 Package                                                     Arch                                                  Version                                                      Repository                                                Size
===============================================================================================================================================================================================================================================
Installing:
 emacs-nox                                                   x86_64                                                1:23.1-20.el6                                                rhel-beta                                                1.9 M
Installing for dependencies:
 alsa-lib                                                    x86_64                                                1.0.21-3.el6                                                 rhel-beta                                                368 k
 emacs-common                                                x86_64                                                1:23.1-20.el6                                                rhel-beta                                                 18 M

Transaction Summary
===============================================================================================================================================================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total download size: 20 M
Installed size: 69 M
Downloading Packages:
(1/3): alsa-lib-1.0.21-3.el6.x86_64.rpm                                                                                                                                                                                 | 368 kB     00:01     
(2/3): emacs-common-23.1-20.el6.x86_64.rpm                                                                                                                                                                              |  18 MB     01:34     
(3/3): emacs-nox-23.1-20.el6.x86_64.rpm                                                                                                                                                                                 | 1.9 MB     00:10     
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                          196 kB/s |  20 MB     01:47     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : 1:emacs-common-23.1-20.el6.x86_64                                                                                                                                                                                       1/3 
*** glibc detected *** /usr/bin/python: double free or corruption (!prev): 0x000000000290d7d0 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75736)[0x7f7636cbf736]
/usr/lib64/librpmio.so.1(rfree+0x9)[0x7f762fd83439]
/usr/lib64/librpmio.so.1(fdFree+0xec)[0x7f762fd7fa7c]
/usr/lib64/librpmio.so.1(Fclose+0xef)[0x7f762fd8016f]
/usr/lib64/librpm.so.1(+0x33fd7)[0x7f763096cfd7]
/usr/lib64/librpm.so.1(+0x34eda)[0x7f763096deda]
/usr/lib64/librpm.so.1(+0x35ae5)[0x7f763096eae5]
/usr/lib64/librpm.so.1(+0x3572b)[0x7f763096e72b]
/usr/lib64/librpm.so.1(rpmtsRun+0x86b)[0x7f7630987b5b]
/usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so(+0xe51c)[0x7f7630bb151c]
/usr/lib64/libpython2.6.so.1.0(PyObject_Call+0x53)[0x7f76378b4e13]
/usr/lib64/libpython2.6.so.1.0(PyEval_CallObjectWithKeywords+0x43)[0x7f7637949ac3]
/usr/lib64/libpython2.6.so.1.0(+0x5e99c)[0x7f76378cf99c]
/usr/lib64/libpython2.6.so.1.0(PyObject_Call+0x53)[0x7f76378b4e13]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x42b1)[0x7f763794e8b1]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5f2d)[0x7f763795052d]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7f76379515a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7f763794f61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5f2d)[0x7f763795052d]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7f76379515a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7f763794f61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7f76379515a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7f763794f61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7f76379515a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCode+0x32)[0x7f76379516a2]
/usr/lib64/libpython2.6.so.1.0(+0xfb6ec)[0x7f763796c6ec]
/usr/lib64/libpython2.6.so.1.0(PyRun_FileExFlags+0x90)[0x7f763796c7c0]
/usr/lib64/libpython2.6.so.1.0(PyRun_SimpleFileExFlags+0xdc)[0x7f763796dc5c]
/usr/lib64/libpython2.6.so.1.0(Py_Main+0xadd)[0x7f763797a2bd]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x7f7636c68c5d]
/usr/bin/python[0x400649]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:00 395019                             /usr/bin/python
00600000-00601000 rw-p 00000000 fd:00 395019                             /usr/bin/python
0111a000-038df000 rw-p 00000000 00:00 0                                  [heap]
7f7624325000-7f76243dd000 rw-s 00000000 fd:00 263077                     /var/lib/rpm/__db.004
7f76243dd000-7f762451f000 rw-s 00000000 fd:00 263029                     /var/lib/rpm/__db.003
7f762451f000-7f7624557000 rw-s 00000000 fd:00 263024                     /var/lib/rpm/__db.002
7f7624557000-7f762455c000 r-xp 00000000 fd:00 129843                     /lib64/libnss_dns-2.12.so
7f762455c000-7f762475b000 ---p 00005000 fd:00 129843                     /lib64/libnss_dns-2.12.so
7f762475b000-7f762475c000 r--p 00004000 fd:00 129843                     /lib64/libnss_dns-2.12.so
7f762475c000-7f762475d000 rw-p 00005000 fd:00 129843                     /lib64/libnss_dns-2.12.so
7f762475d000-7f7624815000 rw-s 00000000 fd:00 263077                     /var/lib/rpm/__db.004
7f7624815000-7f7624957000 rw-s 00000000 fd:00 263029                     /var/lib/rpm/__db.003
7f7624957000-7f76249bb000 r-xp 00000000 fd:00 3011                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7f76249bb000-7f7624bba000 ---p 00064000 fd:00 3011                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7f7624bba000-7f7624bc4000 rw-p 00063000 fd:00 3011                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7f7624bc4000-7f7624bcf000 r-xp 00000000 fd:00 3162                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7f7624bcf000-7f7624dce000 ---p 0000b000 fd:00 3162                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7f7624dce000-7f7624dd2000 rw-p 0000a000 fd:00 3162                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7f7624dd2000-7f7624ddf000 r-xp 00000000 fd:00 3164                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7f7624ddf000-7f7624fde000 ---p 0000d000 fd:00 3164                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7f7624fde000-7f7624fe4000 rw-p 0000c000 fd:00 3164                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7f7624fe4000-7f7624fe6000 r-xp 00000000 fd:00 3165                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7f7624fe6000-7f76251e6000 ---p 00002000 fd:00 3165                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7f76251e6000-7f76251e7000 rw-p 00002000 fd:00 3165                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7f76251e7000-7f7625204000 r-xp 00000000 fd:00 129872                     /lib64/libtinfo.so.5.7
7f7625204000-7f7625404000 ---p 0001d000 fd:00 129872                     /lib64/libtinfo.so.5.7
7f7625404000-7f7625408000 rw-p 0001d000 fd:00 129872                     /lib64/libtinfo.so.5.7
7f7625408000-7f7625436000 r-xp 00000000 fd:00 129870                     /lib64/libncursesw.so.5.7
7f7625436000-7f7625636000 ---p 0002e000 fd:00 129870                     /lib64/libncursesw.so.5.7
7f7625636000-7f7625637000 rw-p 0002e000 fd:00 129870                     /lib64/libncursesw.so.5.7
7f7625637000-7f7625648000 r-xp 00000000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7f7625648000-7f7625848000 ---p 00011000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7f7625848000-7f762584a000 rw-p 00011000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7f762584a000-7f762584e000 r-xp 00000000 fd:00 399583                     /usr/lib64/python2.6/lib-dynload/termios.so
7f762584e000-7f7625a4e000 ---p 00004000 fd:00 399583                     /usr/lib64/python2.6/lib-dynload/termios.so
7f7625a4e000-7f7625a50000 rw-p 00004000 fd:00 399583                     /usr/lib64/python2.6/lib-dynload/termios.so
7f7625a50000-7f7625b97000 r-xp 00000000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7f7625b97000-7f7625d96000 ---p 00147000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7f7625d96000-7f7625da0000 rw-p 00146000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7f7625da0000-7f7625da1000 rw-p 00000000 00:00 0 
7f7625da1000-7f7625e85000 r-xp 00000000 fd:00 129836                     /lib64/libglib-2.0.so.0.2200.5
7f7625e85000-7f7626085000 ---p 000e4000 fd:00 129836                     /lib64/libglib-2.0.so.0.2200.5
7f7626085000-7f7626086000 rw-p 000e4000 fd:00 129836                     /lib64/libglib-2.0.so.0.2200.5
7f7626086000-7f7626087000 rw-p 00000000 00:00 0 
7f7626087000-7f7626091000 r-xp 00000000 fd:00 2890                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7f7626091000-7f7626291000 ---p 0000a000 fd:00 2890                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7f7626291000-7f7626292000 rw-p 0000a000 fd:00 2890                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7f7626292000-7f7626293000 r-xp 00000000 fd:00 399567                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7f7626293000-7f7626493000 ---p 00001000 fd:00 399567                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7f7626493000-7f7626494000 rw-p 00001000 fd:00 399567                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7f7626494000-7f76264a5000 r-xp 00000000 fd:00 399564                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7f76264a5000-7f76266a4000 ---p 00011000 fd:00 399564                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7f76266a4000-7f76266a7000 rw-p 00010000 fd:00 399564                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7f76266a7000-7f76266b7000 r-xp 00000000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7f76266b7000-7f76268b7000 ---p 00010000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7f76268b7000-7f76268bb000 rw-p 00010000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7f76268bb000-7f76268c6000 r-xp 00000000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7f76268c6000-7f7626ac5000 ---p 0000b000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7f7626ac5000-7f7626ac7000 rw-p 0000a000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7f7626ac7000-7f7626aed000 r-xp 00000000 fd:00 130032                     /lib64/libexpat.so.1.5.2Aborted
[root@pcmk-1 luci]#

Comment 7 Dave Malcolm 2010-07-20 22:56:05 UTC
Andrew: thanks for the debug information.

Can you provide a coredump of the process please?  (Run "ulimit -c unlimited" in the shell before invoking yum)

Can you try running yum under valgrind, and see if that shakes out anything?
("valgrind python /usr/bin/yum OPTIONS TO YUM")

Thanks

The frames 2-10 of the above are within rpm-libs/rpm-python; reassigning to rpm in the hope of more insight.

Comment 8 Dave Malcolm 2010-07-20 22:57:01 UTC
(In reply to comment #7)
> Can you provide a coredump of the process please?  (Run "ulimit -c unlimited"
> in the shell before invoking yum)
Please also provide "rpm -qa" if you do this, so that the coredump can be more easily investigated.  Thanks

Comment 9 Andrew Beekhof 2010-07-21 06:39:11 UTC
Took a couple of attempts but here you go (its a long one).
Note that the version of python is python-2.6.2-11.el6.x86_64, I see that a newer version is now available in the nightlies - perhaps that is related.

[root@pcmk-2 ~]# file core.3482 
core.3482: ELF 64-bit LSB core file x86-64, version 1 (SYSV), SVR4-style, from '/usr/bin/python /usr/bin/yum update -y'

(gdb) where
#0  _int_malloc (av=0x7fe2748b6e80, bytes=32) at malloc.c:4339
#1  0x00007fe2745b5afd in __libc_malloc (bytes=32) at malloc.c:3660
#2  0x00007fe2751d638b in list_resize (self=0x24ad950, newsize=1) at Objects/listobject.c:62
#3  0x00007fe2751d645b in app1 (self=0x24ad950, v=<PyCObject at remote 0x2aba198>) at Objects/listobject.c:274
#4  0x00007fe27524c545 in addcleanup (ptr=0x7fff5ed959a0, freelist=0x7fff5ed95768, destr=0x7fe27524c5e0 <cleanup_buffer>) at Python/getargs.c:170
#5  0x00007fe27524d9db in convertsimple (arg='<14>yum: Updated: libuuid-2.17.2-5.el6.x86_64\x00', p_format=0x7fff5ed956d8, p_va=<value optimized out>, flags=<value optimized out>, levels=0x7fff5ed956e0, msgbuf=0x7fff5ed95770 "", 
    bufsize=256, freelist=0x7fff5ed95768) at Python/getargs.c:894
#6  convertitem (arg='<14>yum: Updated: libuuid-2.17.2-5.el6.x86_64\x00', p_format=0x7fff5ed956d8, p_va=<value optimized out>, flags=<value optimized out>, levels=0x7fff5ed956e0, msgbuf=0x7fff5ed95770 "", bufsize=256, freelist=
    0x7fff5ed95768) at Python/getargs.c:496
#7  0x00007fe27524f2d9 in vgetargs1 (args=('<14>yum: Updated: libuuid-2.17.2-5.el6.x86_64\x00',), format=0x7fe269a5e58c "s*|i:send", p_va=0x7fff5ed958c0, flags=0) at Python/getargs.c:327
#8  0x00007fe27524f73a in PyArg_ParseTuple (args=<value optimized out>, format=<value optimized out>) at Python/getargs.c:85
#9  0x00007fe269a59e59 in sock_send (s=0xfaa8d0, args=<value optimized out>) at Modules/socketmodule.c:2652
#10 0x00007fe27523f90d in call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3706
#11 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#12 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#13 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#14 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#15 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#16 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#17 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#18 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#19 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#20 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#21 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#22 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#23 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#24 0x00007fe275241561 in PyEval_EvalCodeEx (co=0x7fe2755be120, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=4, kws=0xd09c00, kwcount=0, defs=0x7fe2755ee188, defcount=2, closure=0x0)
    at Python/ceval.c:2968
#25 0x00007fe2751d0bdd in function_call (func=<function at remote 0x7fe27557a8c0>, arg=
    (<Logger(name='yum.filelogging.RPMInstallCallback', parent=<Logger(name='yum.filelogging', parent=<Logger(name='yum', parent=<RootLogger(name='root', parent=None, handlers=[<StreamHandler(lock=<_RLock(_Verbose__verbose=False, _RLock__owner=None, _RLock__block=<thread.lock at remote 0x7fe27563a1c8>, _RLock__count=0) at remote 0xf83a50>, formatter=<Formatter(datefmt=None, _fmt='%(levelname)s:%(name)s:%(message)s') at remote 0xfa32d8>, stream=<file at remote 0x7fe275702140>, filters=[], level=0) at remote 0xfa3248>], level=30, disabled=0, propagate=1, filters=[]) at remote 0x7fe2755f3d88>, handlers=[<StreamHandler(lock=<_RLock(_Verbose__verbose=False, _RLock__owner=None, _RLock__block=<thread.lock at remote 0x7fe27563a1f8>, _RLock__count=0) at remote 0xfacbd0>, formatter=<Formatter(datefmt=None, _fmt='%(message)s') at remote 0xfa89e0>, stream=<file at remote 0x7fe275702140>, filters=[], level=0) at remote 0xe6bf80>], level=30, disabled=0, manager=<Manager(emittedNoHandlerWarning=0, disable=0, root=<...>, loggerD...(truncated), kw={}) at Objects/funcobject.c:524
#26 0x00007fe2751a6ae3 in PyObject_Call (func=<function at remote 0x7fe27557a8c0>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#27 0x00007fe27523e6f6 in ext_do_call (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:4005
#28 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2429
#29 0x00007fe275241561 in PyEval_EvalCodeEx (co=0x7fe2755b9cd8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=2, kws=0x2fb1da8, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2968
#30 0x00007fe27523fa59 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3802
#31 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#32 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#33 0x00007fe275241561 in PyEval_EvalCodeEx (co=0xea40a8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=3, kws=0x3016b20, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2968
#34 0x00007fe2751d0bdd in function_call (func=<function at remote 0xea8c80>, arg=
    (<YumCliRPMCallBack(lastpackage=<YumAvailablePackageSqlite(pkgId='48c834bc0bcf133a1174fc909d10a8c752d83999a367806aed00f3e694ef1a2d', version='2.17.2', basepath=None, localpath='/var/cache/yum/x86_64/5.91Server/rhel/packages/libuuid-2.17.2-5.el6.x86_64.rpm', sack=<YumSqlitePackageSack(primarydb={<YumRepository(_dir_setup_pkgdir='/var/cache/yum/x86_64/5.91Server/rhel/packages', __opt11586384=None, _dir_setup_metadata_cookie='/var/cache/yum/x86_64/5.91Server/rhel/cachecookie', metadata_cookie_fn='cachecookie', interrupt_callback=<instancemethod at remote 0xa10690>, __opt11586128=['file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta-2'], cfg=<RawConfigParser(data=<INIConfig(_sectionxformvalue=None, _defaults=<INISection(_optionxformvalue=None, _lines=[<LineContainer(orgvalue=None, contents=[]) at remote 0x11f9e50>], _options={}, _defaults=None, _optionxformsource=<...>) at remote 0x11f9e90>, _optionxformsource=<...>, _optionxformvalue=<function at remote 0xa3c938>, _parse_exc=True, _sectionxformsource=None, _data=<Li...(truncated), kw={}) at Objects/funcobject.c:524
#35 0x00007fe2751a6ae3 in PyObject_Call (func=<function at remote 0xea8c80>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#36 0x00007fe27523e6f6 in ext_do_call (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:4005
#37 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2429
#38 0x00007fe275241561 in PyEval_EvalCodeEx (co=0xea4558, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=2, kws=0x2305310, kwcount=0, defs=0x0, defcount=0, closure=
    (<cell at remote 0x32d17f8>,)) at Python/ceval.c:2968
#39 0x00007fe27523fa59 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3802
#40 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#41 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#42 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#43 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#44 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#45 0x00007fe275241561 in PyEval_EvalCodeEx (co=0xea4eb8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=6, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2968
#46 0x00007fe2751d0ae0 in function_call (func=<function at remote 0xeaa578>, arg=
    (<RPMTransaction(installed_pkg_names=['perl-Pod-Escapes', 'perl-version', 'perl-Module-Pluggable', 'perl-Pod-Simple', 'perl-libs', 'perl', 'gawk', 'corosynclib', 'corosync', 'libuuid'], filelog=False, trans_running=True, filehandles={'None:corosynclib.1.2.3-15.el6-x86_64': 16, '1:perl-Pod-Escapes.1.04-115.el6-x86_64': 15, '3:perl-version.0.77-115.el6-x86_64': 16, '4:perl-libs.5.10.1-115.el6-x86_64': 16, 'None:libuuid.2.17.2-5.el6-x86_64': 16, 'None:corosync.1.2.3-15.el6-x86_64': 16, '1:perl-Module-Pluggable.3.90-115.el6-x86_64': 16, '1:perl-Pod-Simple.3.13-115.el6-x86_64': 16, '4:perl.5.10.1-115.el6-x86_64': 16, 'None:gawk.3.1.7-6.el6-x86_64': 16}, lastmsg=None, total_removed=0, total_actions=109L, _readpipe=<_TemporaryFileWrapper(close_called=False, read=<built-in method read of file object at remote 0x2a391c8>, name='/tmp/tmpyWSZAI', file=<file at remote 0x2a391c8>, delete=True) at remote 0x269f440>, _ts_done=<file at remote 0x2a398b0>, com---Type <return> to continue, or q <return> to quit---
plete_actions=10, total_installed=10, base=<YumBaseCli(yum_cli_comma...(truncated), kw=0x0) at Objects/funcobject.c:524
#47 0x00007fe2751a6ae3 in PyObject_Call (func=<function at remote 0xeaa578>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#48 0x00007fe2751bba3f in instancemethod_call (func=<function at remote 0xeaa578>, arg=
    (<RPMTransaction(installed_pkg_names=['perl-Pod-Escapes', 'perl-version', 'perl-Module-Pluggable', 'perl-Pod-Simple', 'perl-libs', 'perl', 'gawk', 'corosynclib', 'corosync', 'libuuid'], filelog=False, trans_running=True, filehandles={'None:corosynclib.1.2.3-15.el6-x86_64': 16, '1:perl-Pod-Escapes.1.04-115.el6-x86_64': 15, '3:perl-version.0.77-115.el6-x86_64': 16, '4:perl-libs.5.10.1-115.el6-x86_64': 16, 'None:libuuid.2.17.2-5.el6-x86_64': 16, 'None:corosync.1.2.3-15.el6-x86_64': 16, '1:perl-Module-Pluggable.3.90-115.el6-x86_64': 16, '1:perl-Pod-Simple.3.13-115.el6-x86_64': 16, '4:perl.5.10.1-115.el6-x86_64': 16, 'None:gawk.3.1.7-6.el6-x86_64': 16}, lastmsg=None, total_removed=0, total_actions=109L, _readpipe=<_TemporaryFileWrapper(close_called=False, read=<built-in method read of file object at remote 0x2a391c8>, name='/tmp/tmpyWSZAI', file=<file at remote 0x2a391c8>, delete=True) at remote 0x269f440>, _ts_done=<file at remote 0x2a398b0>, complete_actions=10, total_installed=10, base=<YumBaseCli(yum_cli_comma...(truncated), kw=0x0) at Objects/classobject.c:2579
#49 0x00007fe2751a6ae3 in PyObject_Call (func=<instancemethod at remote 0x3ccc190>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#50 0x00007fe275239db3 in PyEval_CallObjectWithKeywords (func=<instancemethod at remote 0x3ccc190>, arg=
    (8, 0L, 0L, (<rpm.hdr at remote 0x7fe275715d50>, '/var/cache/yum/x86_64/5.91Server/rhel/packages/libuuid-2.17.2-5.el6.x86_64.rpm'), ''), kw=<value optimized out>) at Python/ceval.c:3575
#51 0x00007fe26e4a3693 in ?? () from /usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so
#52 0x00007fe26e2731b0 in rpmtsNotify () from /usr/lib64/librpm.so.1
#53 0x00007fe26e2724ac in ?? () from /usr/lib64/librpm.so.1
#54 0x00007fe26e279b8d in rpmtsRun () from /usr/lib64/librpm.so.1
#55 0x00007fe26e4a351c in ?? () from /usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so
#56 0x00007fe2751a6ae3 in PyObject_Call (func=<built-in method run of TransactionSet object at remote 0x2324460>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#57 0x00007fe275239db3 in PyEval_CallObjectWithKeywords (func=<built-in method run of TransactionSet object at remote 0x2324460>, arg=(<instancemethod at remote 0x3ccc190>, '', 0), kw=<value optimized out>) at Python/ceval.c:3575
#58 0x00007fe2751c103c in methoddescr_call (descr=<value optimized out>, args=(<instancemethod at remote 0x3ccc190>, '', 0), kwds=0x0) at Objects/descrobject.c:246
#59 0x00007fe2751a6ae3 in PyObject_Call (func=<method_descriptor at remote 0x7fe27560e9e0>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#60 0x00007fe27523ee90 in do_call (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3917
#61 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3729
#62 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#63 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#64 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#65 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#66 0x00007fe275241561 in PyEval_EvalCodeEx (co=0x7fe275664af8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x2e360e0, kwcount=1, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2968
#67 0x00007fe27523fa59 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3802
#68 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#69 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#70 0x00007fe275240c81 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3792
#71 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#72 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#73 0x00007fe275241561 in PyEval_EvalCodeEx (co=0xeb06c0, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0xedaec8, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2968
#74 0x00007fe27523fa59 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3802
#75 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#76 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#77 0x00007fe275241561 in PyEval_EvalCodeEx (co=0xeb08a0, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x7bd5e8, kwcount=1, defs=0xeab728, defcount=1, closure=0x0)
    at Python/ceval.c:2968
#78 0x00007fe27523fa59 in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3802
#79 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3727
#80 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2389
#81 0x00007fe275241561 in PyEval_EvalCodeEx (co=0x7fe275642828, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:2968
#82 0x00007fe275241672 in PyEval_EvalCode (co=<value optimized out>, globals=<value optimized out>, locals=<value optimized out>) at Python/ceval.c:522
#83 0x00007fe27525c64c in run_mod (mod=<value optimized out>, filename=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7fe2756ecef8>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fe2756fe2f0>, 'yum': <module at remote 0x7fe275658948>, '__name__': '__main__', 'yummain': <module at remote 0xeb11d8>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7fe2756ecef8>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fe2756fe2f0>, 'yum': <module at remote 0x7fe275658948>, '__name__': '__main__', 'yummain': <module at remote 0xeb11d8>, '__doc__': None}, flags=<value optimized out>, arena=<value optimized out>) at Python/pythonrun.c:1335
#84 0x00007fe27525c720 in PyRun_FileExFlags (fp=0x7b97a0, filename=0x7fff5ed98923 "/usr/bin/yum", start=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7fe2756ecef8>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fe2756fe2f0>, 'yum': <module at remote 0x7fe275658948>, '__name__': '__main__', 'yummain': <module at remote 0xeb11d8>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7fe2756ecef8>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fe2756fe2f0>, 'yum': <module at remote 0x7fe275658948>, '__name__': '__main__', 'yummain': <module at remote 0xeb11d8>, '__doc__': None}, closeit=1, flags=0x7fff5ed98060) at Python/pythonrun.c:1321
#85 0x00007fe27525dafc in PyRun_SimpleFileExFlags (fp=0x7b97a0, filename=0x7fff5ed98923 "/usr/bin/yum", closeit=1, flags=0x7fff5ed98060) at Python/pythonrun.c:931
#86 0x00007fe27526a17d in Py_Main (argc=<value optimized out>, argv=<value optimized out>) at Modules/main.c:599
#87 0x00007fe27455ac5d in __libc_start_main (main=0x400710 <main>, argc=4, ubp_av=0x7fff5ed98188, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff5ed98178) at libc-start.c:226
#88 0x0000000000400649 in _start ()




[root@pcmk-2 ~]# ulimit -c
unlimited
[root@pcmk-2 ~]# yum update -y
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
rhel                                                                                                                                                                                                                     | 3.7 kB     00:00     
rhel/primary_db                                                                                                                                                                                                          | 2.9 MB     00:00     
rhel-debug                                                                                                                                                                                                               | 3.0 kB     00:00     
rhel-debug/primary_db                                                                                                                                                                                                    | 467 kB     00:00     
rhel-ha                                                                                                                                                                                                                  | 3.7 kB     00:00     
rhel-ha/primary_db                                                                                                                                                                                                       |  31 kB     00:00     
rhel-optional                                                                                                                                                                                                            | 3.8 kB     00:00     
rhel-optional/primary_db                                                                                                                                                                                                 | 1.3 MB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package authconfig.x86_64 0:6.1.4-6.el6 set to be updated
---> Package clusterlib.x86_64 0:3.0.12-14.el6 set to be updated
---> Package cman.x86_64 0:3.0.12-14.el6 set to be updated
---> Package corosync.x86_64 0:1.2.3-15.el6 set to be updated
---> Package corosynclib.x86_64 0:1.2.3-15.el6 set to be updated
---> Package dbus-glib.x86_64 0:0.86-5.el6 set to be updated
---> Package dmraid.x86_64 0:1.0.0.rc16-9.el6 set to be updated
---> Package dmraid-events.x86_64 0:1.0.0.rc16-9.el6 set to be updated
---> Package gawk.x86_64 0:3.1.7-6.el6 set to be updated
---> Package grub.x86_64 1:0.97-65.el6 set to be updated
---> Package grubby.x86_64 0:7.0.15-2.el6 set to be updated
---> Package iptables.x86_64 0:1.4.7-3.el6 set to be updated
---> Package iptables-ipv6.x86_64 0:1.4.7-3.el6 set to be updated
---> Package kernel.x86_64 0:2.6.32-44.1.el6 set to be installed
---> Package kernel-firmware.noarch 0:2.6.32-44.1.el6 set to be updated
---> Package libblkid.x86_64 0:2.17.2-5.el6 set to be updated
---> Package libcgroup.x86_64 0:0.36.1-6.el6 set to be updated
---> Package libgcc.x86_64 0:4.4.4-12.el6 set to be updated
---> Package libgudev1.x86_64 0:147-2.21.el6 set to be updated
---> Package libstdc++.x86_64 0:4.4.4-12.el6 set to be updated
---> Package libudev.x86_64 0:147-2.21.el6 set to be updated
---> Package libuuid.x86_64 0:2.17.2-5.el6 set to be updated
---> Package libvirt-client.x86_64 0:0.8.1-15.el6 set to be updated
---> Package libxslt.x86_64 0:1.1.26-2.el6 set to be updated
---> Package lm_sensors-libs.x86_64 0:3.1.1-9.el6 set to be updated
---> Package mysql-libs.x86_64 0:5.1.47-4.el6 set to be updated
---> Package net-snmp.x86_64 1:5.5-24.el6 set to be updated
---> Package net-snmp-libs.x86_64 1:5.5-24.el6 set to be updated
---> Package net-snmp-utils.x86_64 1:5.5-24.el6 set to be updated
---> Package newt.x86_64 0:0.52.11-2.el6 set to be updated
---> Package newt-python.x86_64 0:0.52.11-2.el6 set to be updated
---> Package openssh.x86_64 0:5.3p1-19.el6 set to be updated
---> Package openssh-clients.x86_64 0:5.3p1-19.el6 set to be updated
---> Package openssh-server.x86_64 0:5.3p1-19.el6 set to be updated
---> Package perl.x86_64 4:5.10.1-115.el6 set to be updated
---> Package perl-Module-Pluggable.x86_64 1:3.90-115.el6 set to be updated
---> Package perl-Pod-Escapes.x86_64 1:1.04-115.el6 set to be updated
---> Package perl-Pod-Simple.x86_64 1:3.13-115.el6 set to be updated
---> Package perl-libs.x86_64 4:5.10.1-115.el6 set to be updated
---> Package perl-version.x86_64 3:0.77-115.el6 set to be updated
---> Package plymouth.x86_64 0:0.8.3-12.el6 set to be updated
---> Package plymouth-core-libs.x86_64 0:0.8.3-12.el6 set to be updated
---> Package plymouth-scripts.x86_64 0:0.8.3-12.el6 set to be updated
---> Package python.x86_64 0:2.6.5-3.el6 set to be updated
---> Package python-libs.x86_64 0:2.6.5-3.el6 set to be updated
---> Package python-urlgrabber.noarch 0:3.9.1-7.el6 set to be updated
---> Package redhat-logos.noarch 0:60.0.12-1.el6 set to be updated
---> Package resource-agents.x86_64 0:3.0.12-13.el6 set to be updated
---> Package rpcbind.x86_64 0:0.2.0-7.el6 set to be updated
---> Package selinux-policy.noarch 0:3.7.19-32.el6 set to be updated
---> Package selinux-policy-targeted.noarch 0:3.7.19-32.el6 set to be updated
---> Package sudo.x86_64 0:1.7.2p2-7.el6 set to be updated
---> Package udev.x86_64 0:147-2.21.el6 set to be updated
---> Package util-linux-ng.x86_64 0:2.17.2-5.el6 set to be updated
---> Package yum-utils.noarch 0:1.1.26-11.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================================================================================
 Package                                                             Arch                                               Version                                                       Repository                                           Size
================================================================================================================================================================================================================================================
Installing:
 kernel                                                              x86_64                                             2.6.32-44.1.el6                                               rhel                                                 22 M
Updating:
 authconfig                                                          x86_64                                             6.1.4-6.el6                                                   rhel                                                341 k
 clusterlib                                                          x86_64                                             3.0.12-14.el6                                                 rhel-ha                                              74 k
 cman                                                                x86_64                                             3.0.12-14.el6                                                 rhel-ha                                             403 k
 corosync                                                            x86_64                                             1.2.3-15.el6                                                  rhel-ha                                             155 k
 corosynclib                                                         x86_64                                             1.2.3-15.el6                                                  rhel-ha                                             152 k
 dbus-glib                                                           x86_64                                             0.86-5.el6                                                    rhel                                                169 k
 dmraid                                                              x86_64                                             1.0.0.rc16-9.el6                                              rhel                                                138 k
 dmraid-events                                                       x86_64                                             1.0.0.rc16-9.el6                                              rhel                                                 17 k
 gawk                                                                x86_64                                             3.1.7-6.el6                                                   rhel                                                777 k
 grub                                                                x86_64                                             1:0.97-65.el6                                                 rhel                                                882 k
 grubby                                                              x86_64                                             7.0.15-2.el6                                                  rhel                                                 41 k
 iptables                                                            x86_64                                             1.4.7-3.el6                                                   rhel                                                243 k
 iptables-ipv6                                                       x86_64                                             1.4.7-3.el6                                                   rhel                                                 91 k
 kernel-firmware                                                     noarch                                             2.6.32-44.1.el6                                               rhel                                                1.1 M
 libblkid                                                            x86_64                                             2.17.2-5.el6                                                  rhel                                                107 k
 libcgroup                                                           x86_64                                             0.36.1-6.el6                                                  rhel                                                 93 k
 libgcc                                                              x86_64                                             4.4.4-12.el6                                                  rhel                                                 91 k
 libgudev1                                                           x86_64                                             147-2.21.el6                                                  rhel                                                 55 k
 libstdc++                                                           x86_64                                             4.4.4-12.el6                                                  rhel                                                283 k
 libudev                                                             x86_64                                             147-2.21.el6                                                  rhel                                                 70 k
 libuuid                                                             x86_64                                             2.17.2-5.el6                                                  rhel                                                 60 k
 libvirt-client                                                      x86_64                                             0.8.1-15.el6                                                  rhel                                                1.9 M
 libxslt                                                             x86_64                                             1.1.26-2.el6                                                  rhel                                                449 k
 lm_sensors-libs                                                     x86_64                                             3.1.1-9.el6                                                   rhel                                                 36 k
 mysql-libs                                                          x86_64                                             5.1.47-4.el6                                                  rhel                                                1.2 M
 net-snmp                                                            x86_64                                             1:5.5-24.el6                                                  rhel                                                296 k
 net-snmp-libs                                                       x86_64                                             1:5.5-24.el6                                                  rhel                                                1.5 M
 net-snmp-utils                                                      x86_64                                             1:5.5-24.el6                                                  rhel                                                164 k
 newt                                                                x86_64                                             0.52.11-2.el6                                                 rhel                                                 96 k
 newt-python                                                         x86_64                                             0.52.11-2.el6                                                 rhel                                                 47 k
 openssh                                                             x86_64                                             5.3p1-19.el6                                                  rhel                                                228 k
 openssh-clients                                                     x86_64                                             5.3p1-19.el6                                                  rhel                                                349 k
 openssh-server                                                      x86_64                                             5.3p1-19.el6                                                  rhel                                                278 k
 perl                                                                x86_64                                             4:5.10.1-115.el6                                              rhel                                                 10 M
 perl-Module-Pluggable                                               x86_64                                             1:3.90-115.el6                                                rhel                                                 35 k
 perl-Pod-Escapes                                                    x86_64                                             1:1.04-115.el6                                                rhel                                                 28 k
 perl-Pod-Simple                                                     x86_64                                             1:3.13-115.el6                                                rhel                                                207 k
 perl-libs                                                           x86_64                                             4:5.10.1-115.el6                                              rhel                                                575 k
 perl-version                                                        x86_64                                             3:0.77-115.el6                                                rhel                                                 46 k
 plymouth                                                            x86_64                                             0.8.3-12.el6                                                  rhel                                                 83 k
 plymouth-core-libs                                                  x86_64                                             0.8.3-12.el6                                                  rhel                                                 84 k
 plymouth-scripts                                                    x86_64                                             0.8.3-12.el6                                                  rhel                                                 28 k
 python                                                              x86_64                                             2.6.5-3.el6                                                   rhel                                                4.8 M
 python-libs                                                         x86_64                                             2.6.5-3.el6                                                   rhel                                                617 k
 python-urlgrabber                                                   noarch                                             3.9.1-7.el6                                                   rhel                                                 84 k
 redhat-logos                                                        noarch                                             60.0.12-1.el6                                                 rhel                                                 26 M
 resource-agents                                                     x86_64                                             3.0.12-13.el6                                                 rhel-ha                                             375 k
 rpcbind                                                             x86_64                                             0.2.0-7.el6                                                   rhel                                                 49 k
 selinux-policy                                                      noarch                                             3.7.19-32.el6                                                 rhel                                                708 k
 selinux-policy-targeted                                             noarch                                             3.7.19-32.el6                                                 rhel                                                2.2 M
 sudo                                                                x86_64                                             1.7.2p2-7.el6                                                 rhel                                                324 k
 udev                                                                x86_64                                             147-2.21.el6                                                  rhel                                                338 k
 util-linux-ng                                                       x86_64                                             2.17.2-5.el6                                                  rhel                                                1.5 M
 yum-utils                                                           noarch                                             1.1.26-11.el6                                                 rhel                                                 78 k

Transaction Summary
================================================================================================================================================================================================================================================
Install       1 Package(s)
Upgrade      54 Package(s)

Total download size: 82 M
Downloading Packages:
(1/55): authconfig-6.1.4-6.el6.x86_64.rpm                                                                                                                                                                                | 341 kB     00:00     
(2/55): clusterlib-3.0.12-14.el6.x86_64.rpm                                                                                                                                                                              |  74 kB     00:00     
(3/55): cman-3.0.12-14.el6.x86_64.rpm                                                                                                                                                                                    | 403 kB     00:00     
(4/55): corosync-1.2.3-15.el6.x86_64.rpm                                                                                                                                                                                 | 155 kB     00:00     
(5/55): corosynclib-1.2.3-15.el6.x86_64.rpm                                                                                                                                                                              | 152 kB     00:00     
(6/55): dbus-glib-0.86-5.el6.x86_64.rpm                                                                                                                                                                                  | 169 kB     00:00     
(7/55): dmraid-1.0.0.rc16-9.el6.x86_64.rpm                                                                                                                                                                               | 138 kB     00:00     
(8/55): dmraid-events-1.0.0.rc16-9.el6.x86_64.rpm                                                                                                                                                                        |  17 kB     00:00     
(9/55): gawk-3.1.7-6.el6.x86_64.rpm                                                                                                                                                                                      | 777 kB     00:00     
(10/55): grub-0.97-65.el6.x86_64.rpm                                                                                                                                                                                     | 882 kB     00:00     
(11/55): grubby-7.0.15-2.el6.x86_64.rpm                                                                                                                                                                                  |  41 kB     00:00     
(12/55): iptables-1.4.7-3.el6.x86_64.rpm                                                                                                                                                                                 | 243 kB     00:00     
(13/55): iptables-ipv6-1.4.7-3.el6.x86_64.rpm                                                                                                                                                                            |  91 kB     00:00     
(14/55): kernel-2.6.32-44.1.el6.x86_64.rpm                                                                                                                                                                               |  22 MB     00:05     
(15/55): kernel-firmware-2.6.32-44.1.el6.noarch.rpm                                                                                                                                                                      | 1.1 MB     00:00     
(16/55): libblkid-2.17.2-5.el6.x86_64.rpm                                                                                                                                                                                | 107 kB     00:00     
(17/55): libcgroup-0.36.1-6.el6.x86_64.rpm                                                                                                                                                                               |  93 kB     00:00     
(18/55): libgcc-4.4.4-12.el6.x86_64.rpm                                                                                                                                                                                  |  91 kB     00:00     
(19/55): libgudev1-147-2.21.el6.x86_64.rpm                                                                                                                                                                               |  55 kB     00:00     
(20/55): libstdc++-4.4.4-12.el6.x86_64.rpm                                                                                                                                                                               | 283 kB     00:00     
(21/55): libudev-147-2.21.el6.x86_64.rpm                                                                                                                                                                                 |  70 kB     00:00     
(22/55): libuuid-2.17.2-5.el6.x86_64.rpm                                                                                                                                                                                 |  60 kB     00:00     
(23/55): libvirt-client-0.8.1-15.el6.x86_64.rpm                                                                                                                                                                          | 1.9 MB     00:00     
(24/55): libxslt-1.1.26-2.el6.x86_64.rpm                                                                                                                                                                                 | 449 kB     00:00     
(25/55): lm_sensors-libs-3.1.1-9.el6.x86_64.rpm                                                                                                                                                                          |  36 kB     00:00     
(26/55): mysql-libs-5.1.47-4.el6.x86_64.rpm                                                                                                                                                                              | 1.2 MB     00:00     
(27/55): net-snmp-5.5-24.el6.x86_64.rpm                                                                                                                                                                                  | 296 kB     00:00     
(28/55): net-snmp-libs-5.5-24.el6.x86_64.rpm                                                                                                                                                                             | 1.5 MB     00:01     
(29/55): net-snmp-utils-5.5-24.el6.x86_64.rpm                                                                                                                                                                            | 164 kB     00:00     
(30/55): newt-0.52.11-2.el6.x86_64.rpm                                                                                                                                                                                   |  96 kB     00:00     
(31/55): newt-python-0.52.11-2.el6.x86_64.rpm                                                                                                                                                                            |  47 kB     00:00     
(32/55): openssh-5.3p1-19.el6.x86_64.rpm                                                                                                                                                                                 | 228 kB     00:00     
(33/55): openssh-clients-5.3p1-19.el6.x86_64.rpm                                                                                                                                                                         | 349 kB     00:00     
(34/55): openssh-server-5.3p1-19.el6.x86_64.rpm                                                                                                                                                                          | 278 kB     00:00     
(35/55): perl-5.10.1-115.el6.x86_64.rpm                                                                                                                                                                                  |  10 MB     00:02     
(36/55): perl-Module-Pluggable-3.90-115.el6.x86_64.rpm                                                                                                                                                                   |  35 kB     00:00     
(37/55): perl-Pod-Escapes-1.04-115.el6.x86_64.rpm                                                                                                                                                                        |  28 kB     00:00     
(38/55): perl-Pod-Simple-3.13-115.el6.x86_64.rpm                                                                                                                                                                         | 207 kB     00:00     
(39/55): perl-libs-5.10.1-115.el6.x86_64.rpm                                                                                                                                                                             | 575 kB     00:00     
(40/55): perl-version-0.77-115.el6.x86_64.rpm                                                                                                                                                                            |  46 kB     00:00     
(41/55): plymouth-0.8.3-12.el6.x86_64.rpm                                                                                                                                                                                |  83 kB     00:00     
(42/55): plymouth-core-libs-0.8.3-12.el6.x86_64.rpm                                                                                                                                                                      |  84 kB     00:00     
(43/55): plymouth-scripts-0.8.3-12.el6.x86_64.rpm                                                                                                                                                                        |  28 kB     00:00     
(44/55): python-2.6.5-3.el6.x86_64.rpm                                                                                                                                                                                   | 4.8 MB     00:01     
(45/55): python-libs-2.6.5-3.el6.x86_64.rpm                                                                                                                                                                              | 617 kB     00:00     
(46/55): python-urlgrabber-3.9.1-7.el6.noarch.rpm                                                                                                                                                                        |  84 kB     00:00     
(47/55): redhat-logos-60.0.12-1.el6.noarch.rpm                                                                                                                                                                           |  26 MB     00:13     
(48/55): resource-agents-3.0.12-13.el6.x86_64.rpm                                                                                                                                                                        | 375 kB     00:00     
(49/55): rpcbind-0.2.0-7.el6.x86_64.rpm                                                                                                                                                                                  |  49 kB     00:00     
(50/55): selinux-policy-3.7.19-32.el6.noarch.rpm                                                                                                                                                                         | 708 kB     00:00     
(51/55): selinux-policy-targeted-3.7.19-32.el6.noarch.rpm                                                                                                                                                                | 2.2 MB     00:00     
(52/55): sudo-1.7.2p2-7.el6.x86_64.rpm                                                                                                                                                                                   | 324 kB     00:00     
(53/55): udev-147-2.21.el6.x86_64.rpm                                                                                                                                                                                    | 338 kB     00:00     
(54/55): util-linux-ng-2.17.2-5.el6.x86_64.rpm                                                                                                                                                                           | 1.5 MB     00:00     
(55/55): yum-utils-1.1.26-11.el6.noarch.rpm                                                                                                                                                                              |  78 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                           2.1 MB/s |  82 MB     00:38     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : 1:perl-Pod-Escapes-1.04-115.el6.x86_64                                                                                                                                                                                 1/109 
  Updating       : 3:perl-version-0.77-115.el6.x86_64                                                                                                                                                                                     2/109 
  Updating       : 1:perl-Module-Pluggable-3.90-115.el6.x86_64                                                                                                                                                                            3/109 
  Updating       : 1:perl-Pod-Simple-3.13-115.el6.x86_64                                                                                                                                                                                  4/109 
  Updating       : 4:perl-libs-5.10.1-115.el6.x86_64                                                                                                                                                                                      5/109 
  Updating       : 4:perl-5.10.1-115.el6.x86_64                                                                                                                                                                                           6/109 
  Updating       : gawk-3.1.7-6.el6.x86_64                                                                                                                                                                                                7/109 
  Updating       : corosynclib-1.2.3-15.el6.x86_64                                                                                                                                                                                        8/109 
  Updating       : corosync-1.2.3-15.el6.x86_64                                                                                                                                                                                           9/109 
  Updating       : libuuid-2.17.2-5.el6.x86_64                                                                                                                                                                                           10/109 
Segmentation fault (core dumped)



[root@pcmk-2 ~]# rpm -qa
Freeing read locks for locker 0xe: 3482/140610609796864
Freeing read locks for locker 0x10: 3482/140610609796864
Freeing read locks for locker 0x212: 3482/140610609796864
Freeing read locks for locker 0x214: 3482/140610609796864
Freeing read locks for locker 0x215: 3482/140610609796864
Freeing read locks for locker 0x216: 3482/140610609796864
Freeing read locks for locker 0x217: 3482/140610609796864
Freeing read locks for locker 0x218: 3482/140610609796864
Freeing read locks for locker 0x219: 3482/140610609796864
Freeing read locks for locker 0x21a: 3482/140610609796864
Freeing read locks for locker 0x21b: 3482/140610609796864
Freeing read locks for locker 0x21c: 3482/140610609796864
Freeing read locks for locker 0x21d: 3482/140610609796864
Freeing read locks for locker 0x21e: 3482/140610609796864
Freeing read locks for locker 0x21f: 3482/140610609796864
Freeing read locks for locker 0x220: 3482/140610609796864
Freeing read locks for locker 0x221: 3482/140610609796864
Freeing read locks for locker 0x222: 3482/140610609796864
rt61pci-firmware-1.2-7.el6.noarch
zd1211-firmware-1.4-4.el6.noarch
basesystem-10.0-4.el6.noarch
ivtv-firmware-20080701-20.2.noarch
ncurses-base-5.7-3.20090208.el6.x86_64
openssh-server-5.3p1-18.el6.x86_64
perl-version-0.77-113.el6.x86_64
perl-5.10.1-113.el6.x86_64
bash-4.1.2-3.el6.x86_64
info-4.13a-8.el6.x86_64
zlib-1.2.3-25.el6.x86_64
popt-1.13-7.el6.x86_64
file-libs-5.04-5.el6.x86_64
libcom_err-1.41.12-2.el6.x86_64
libuuid-2.17.2-4.el6.x86_64
libsepol-2.0.41-3.el6.x86_64
checkpolicy-2.0.22-1.el6.x86_64
cluster-glue-libs-1.0.5-2.el6.x86_64
diffutils-2.8.1-28.el6.x86_64
libmlx4-1.0.1-5.el6.x86_64
nss-sysinit-3.12.6-3.el6.x86_64
libnl-1.1-11.el6.x86_64
libcurl-7.19.7-16.el6.x86_64
libtirpc-0.2.0-4.1.el6.x86_64
gnupg2-2.0.14-3.el6.x86_64
oddjob-0.30-1.el6.x86_64
rpm-4.8.0-12.el6.x86_64
net-snmp-libs-5.5-23.el6.x86_64
redhat-logos-60.0.11-2.el6.noarch
netcf-libs-0.1.6-2.el6.x86_64
redhat-release-server-5.91Server-6.0.0.33.el6.x86_64
net-snmp-utils-5.5-23.el6.x86_64
shadow-utils-4.1.4.2-7.el6.x86_64
librdmacm-1.0.10-2.el6.x86_64
initscripts-9.03.12-1.el6.x86_64
corosynclib-1.2.3-12.el6.x86_64
udev-147-2.20.el6.x86_64
openais-1.1.1-5.el6.x86_64
device-mapper-1.02.51-2.el6.x86_64
modcluster-0.16.2-8.el6.x86_64
device-mapper-event-1.02.51-2.el6.x86_64
fence-virt-0.2.1-4.el6.x86_64
grep-2.6.3-2.el6.x86_64
sg3_utils-libs-1.28-3.el6.x86_64
bzip2-1.0.5-6.1.el6.x86_64
nc-1.84-22.el6.x86_64
libselinux-utils-2.0.94-1.el6.x86_64
libesmtp-1.0.4-15.el6.x86_64
ricci-0.16.2-9.el6.x86_64
dhclient-4.1.1-11.P1.el6.x86_64
numactl-2.0.3-9.el6.x86_64
pygobject2-2.20.0-5.el6.x86_64
gnutls-2.8.5-4.el6.x86_64
attr-2.4.44-4.el6.x86_64
libpcap-1.0.0-6.20091201git117cb5.el6.x86_64
gmp-4.3.1-7.el6.x86_64
nfs-utils-1.2.2-4.el6.x86_64
libuser-0.56.13-3.el6.x86_64
libtalloc-2.0.1-1.1.el6.x86_64
sudo-1.7.2p2-6.el6.x86_64
cyrus-sasl-md5-2.1.23-8.el6.x86_64
selinux-policy-targeted-3.7.19-31.el6.noarch
libvirt-client-0.8.1-13.el6.x86_64
vim-minimal-7.2.411-1.4.el6.x86_64
quota-3.17-10.el6.x86_64
libutempter-1.1.5-4.1.el6.x86_64
xinetd-2.3.14-29.el6.x86_64
cluster-glue-1.0.5-2.el6.x86_64
ncurses-5.7-3.20090208.el6.x86_64
perl-Net-Telnet-3.03-11.el6.noarch
pam-1.1.1-4.el6.x86_64
cman-3.0.12-12.el6.x86_64
mingetty-1.08-4.1.el6.x86_64
pacemaker-libs-1.1.2-7.el6.x86_64
pacemaker-debuginfo-1.1.2-7.el6.x86_64
perl-version-0.77-115.el6.x86_64
libsemanage-2.0.43-4.el6.x86_64
perl-Pod-Simple-3.13-115.el6.x86_64
perl-5.10.1-115.el6.x86_64
yum-metadata-parser-1.1.2-14.1.el6.x86_64
corosynclib-1.2.3-15.el6.x86_64
pyOpenSSL-0.10-2.el6.x86_64
libuuid-2.17.2-5.el6.x86_64
newt-python-0.52.11-1.el6.x86_64
hwdata-0.230-1.el6.noarch
iputils-20071127-12.el6.x86_64
cyrus-sasl-2.1.23-8.el6.x86_64
crontabs-1.10-32.1.el6.noarch
yum-rhn-plugin-0.9.1-5.el6.noarch
acl-2.2.49-4.el6.x86_64
kernel-2.6.32-37.el6.x86_64
b43-openfwwf-5.2-4.el6.noarch
iwl5000-firmware-8.24.2.12-3.el6.noarch
atmel-firmware-1.3-7.el6.noarch
ql2200-firmware-2.02.08-3.1.el6.noarch
ql2500-firmware-5.03.02-2.el6.noarch
ipw2200-firmware-3.1-4.el6.noarch
openssh-clients-5.3p1-18.el6.x86_64
perl-Pod-Escapes-1.04-113.el6.x86_64
perl-Module-Pluggable-3.90-113.el6.x86_64
libgcc-4.4.4-10.el6.x86_64
glibc-common-2.12-1.4.el6.x86_64
libudev-147-2.20.el6.x86_64
krb5-libs-1.8.2-2.el6.x86_64
cpio-2.10-9.el6.x86_64
filesystem-2.4.30-2.1.el6.x86_64
ca-certificates-2010.63-3.el6.noarch
tzdata-2010i-1.el6.noarch
ncurses-libs-5.7-3.20090208.el6.x86_64
audit-libs-2.0.4-1.el6.x86_64
chkconfig-1.3.46-1.el6.x86_64
libselinux-2.0.94-1.el6.x86_64
gamin-0.1.10-9.el6.x86_64
nspr-4.8.4-2.el6.x86_64
nss-util-3.12.6-1.el6.x86_64
readline-6.0-3.el6.x86_64
libacl-2.2.49-4.el6.x86_64
rhn-client-tools-1.0.0-27.el6.noarch
kernel-firmware-2.6.32-44.el6.noarch
setup-2.8.14-10.el6.noarch
sqlite-3.6.20-1.el6.x86_64
libidn-1.18-2.el6.x86_64
xz-libs-4.999.9-0.3.beta.20091007git.el6.x86_64
pcre-7.8-3.1.el6.x86_64
libgcrypt-1.4.5-3.el6.x86_64
cryptsetup-luks-1.1.2-1.el6.x86_64
kpartx-0.4.9-23.el6.x86_64
rsyslog-4.6.2-2.el6.x86_64
pciutils-libs-3.1.4-9.el6.x86_64
less-436-4.el6.x86_64
libusb-0.1.12-23.el6.x86_64
file-5.04-5.el6.x86_64
dracut-004-25.el6.noarch
kernel-2.6.32-44.el6.x86_64
pinentry-0.7.6-5.el6.x86_64
rhn-setup-1.0.0-27.el6.noarch
e2fsprogs-libs-1.41.12-2.el6.x86_64
ethtool-2.6.33-0.3.el6.x86_64
gpgme-1.1.8-3.el6.x86_64
fipscheck-lib-1.2.0-4.1.el6.x86_64
python-dmidecode-3.10.12-1.el6.x86_64
python-pycurl-7.19.0-5.el6.x86_64
python-gudev-147.1-4.el6.x86_64
newt-0.52.11-1.el6.x86_64
python-urlgrabber-3.9.1-6.el6.noarch
dmraid-events-1.0.0.rc16-8.el6.x86_64
postfix-2.6.6-2.el6.x86_64
usermode-1.102-3.el6.x86_64
efibootmgr-0.5.4-8.el6.x86_64
iwl5150-firmware-8.24.2.2-1.el6.noarch
grub-0.97-62.el6.x86_64
libertas-usb8388-firmware-5.110.22.p23-3.1.el6.noarch
iwl3945-firmware-15.32.2.9-4.el6.noarch
coreutils-libs-8.4-9.el6.x86_64
ql2100-firmware-1.19.38-3.1.el6.noarch
openssl-1.0.0-4.el6.x86_64
ql23xx-firmware-3.03.27-3.1.el6.noarch
module-init-tools-3.9-15.el6.x86_64
libedit-2.11-4.20080712cvs.1.el6.x86_64
dbus-libs-1.2.24-2.el6.x86_64
gdb-7.1-28.el6.x86_64
upstart-0.6.5-6.1.el6.x86_64
perl-libs-5.10.1-113.el6.x86_64
gzip-1.3.12-18.el6.x86_64
yum-utils-1.1.26-10.el6.noarch
iptables-ipv6-1.4.7-2.el6.x86_64
glibc-2.12-1.4.el6.x86_64
tar-1.23-3.el6.x86_64
db4-4.7.25-16.el6.x86_64
procps-3.2.8-14.el6.x86_64
elfutils-libelf-0.148-1.el6.x86_64
db4-utils-4.7.25-16.el6.x86_64
findutils-4.4.2-6.el6.x86_64
python-2.6.2-11.el6.x86_64
libtool-ltdl-2.2.6-15.5.el6.x86_64
pth-2.0.7-9.3.el6.x86_64
libxslt-1.1.26-1.el6.1.x86_64
bzip2-libs-1.0.5-6.1.el6.x86_64
libibverbs-1.1.3-4.el6.x86_64
sed-4.2.1-5.el6.x86_64
libgssglue-0.1-8.1.el6.x86_64
dbus-1.2.24-2.el6.x86_64
libcap-2.16-5.2.el6.x86_64
lm_sensors-libs-3.1.1-8.el6.x86_64
rpm-python-4.8.0-12.el6.x86_64
augeas-libs-0.7.2-2.el6.x86_64
net-snmp-5.5-23.el6.x86_64
libgpg-error-1.7-3.el6.x86_64
rpcbind-0.2.0-5.el6.x86_64
lua-5.1.4-4.1.el6.x86_64
corosync-1.2.3-12.el6.x86_64
cyrus-sasl-lib-2.1.23-8.el6.x86_64
clusterlib-3.0.12-12.el6.x86_64
openaislib-1.1.1-5.el6.x86_64
libxml2-2.7.6-1.el6.x86_64
telnet-0.17-46.el6.x86_64
cryptsetup-luks-libs-1.1.2-1.el6.x86_64
ipmitool-1.8.11-6.el6.x86_64
policycoreutils-2.0.82-32.el6.x86_64
sg3_utils-1.28-3.el6.x86_64
selinux-policy-3.7.19-31.el6.noarch
nss-tools-3.12.6-3.el6.x86_64
kbd-1.15-11.el6.x86_64
parted-2.1-8.el6.x86_64
lvm2-2.02.69-2.el6.x86_64
keyutils-1.4-1.el6.x86_64
expat-2.0.1-9.1.el6.x86_64
libtasn1-2.3-3.el6.x86_64
m2crypto-0.20.2-7.el6.x86_64
libevent-1.4.13-1.el6.x86_64
libgudev1-147-2.20.el6.x86_64
nfs-utils-lib-1.1.5-1.el6.x86_64
cifs-utils-4.4-4.el6.x86_64
dracut-kernel-004-25.el6.noarch
yajl-1.0.7-3.el6.x86_64
yum-3.2.27-12.el6.noarch
tcp_wrappers-7.6-56.3.el6.x86_64
system-config-firewall-base-1.2.26-1.el6.noarch
resource-agents-3.0.12-9.el6.x86_64
psmisc-22.6-15.el6.x86_64
perl-TimeDate-1.16-11.1.el6.noarch
libss-1.41.12-2.el6.x86_64
pexpect-2.3-6.el6.noarch
cracklib-dicts-2.8.16-2.el6.x86_64
fence-agents-3.0.12-6.el6.x86_64
pacemaker-1.1.2-7.el6.x86_64
perl-Pod-Escapes-1.04-115.el6.x86_64
fipscheck-1.2.0-4.1.el6.x86_64
perl-Module-Pluggable-3.90-115.el6.x86_64
perl-libs-5.10.1-115.el6.x86_64
libxml2-python-2.7.6-1.el6.x86_64
gawk-3.1.7-6.el6.x86_64
dbus-python-0.83.0-6.1.el6.x86_64
corosync-1.2.3-15.el6.x86_64
slang-2.2.1-1.el6.x86_64
sgpio-1.2.0.10-5.el6.x86_64
dmraid-1.0.0.rc16-8.el6.x86_64
cronie-anacron-1.4.4-2.el6.x86_64
rhnsd-4.9.3-2.el6.x86_64
audit-2.0.4-1.el6.x86_64
libdrm-2.4.20-2.el6.x86_64
bfa-firmware-2.1.2.1-2.el6.noarch
aic94xx-firmware-30-2.el6.noarch
rootfiles-8.1-6.1.el6.noarch
iwl1000-firmware-128.50.3.1-1.1.el6.noarch
rt73usb-firmware-1.8-7.el6.noarch
ipw2100-firmware-1.3-11.el6.noarch
openssh-5.3p1-18.el6.x86_64
wget-1.12-1.4.el6.x86_64
perl-Pod-Simple-3.13-113.el6.x86_64
valgrind-3.5.0-18.el6.x86_64
nss-softokn-freebl-3.12.4-18.el6.x86_64
glib2-2.22.5-4.el6.x86_64
gawk-3.1.7-5.el6.x86_64
iptables-1.4.7-2.el6.x86_64
libattr-2.4.44-4.el6.x86_64
coreutils-8.4-9.el6.x86_64
openldap-2.4.19-15.el6.x86_64
libssh2-1.2.2-6.el6.x86_64
libcap-ng-0.6.4-3.el6.x86_64
logrotate-3.7.8-12.el6.x86_64
iproute-2.6.32-9.el6.x86_64
gdbm-1.8.0-36.el6.x86_64
plymouth-core-libs-0.8.3-11.el6.x86_64
m4-1.4.13-5.el6.x86_64
libffi-3.0.5-3.2.el6.x86_64
python-libs-2.6.2-11.el6.x86_64
libblkid-2.17.2-4.el6.x86_64
nss-softokn-3.12.4-18.el6.x86_64
nss-3.12.6-3.el6.x86_64
plymouth-scripts-0.8.3-11.el6.x86_64
curl-7.19.7-16.el6.x86_64
rpm-libs-4.8.0-12.el6.x86_64
MAKEDEV-3.24-6.el6.x86_64
util-linux-ng-2.17.2-4.el6.x86_64
device-mapper-libs-1.02.51-2.el6.x86_64
device-mapper-event-libs-1.02.51-2.el6.x86_64
lvm2-libs-2.02.69-2.el6.x86_64
libcgroup-0.36.1-5.el6.x86_64
plymouth-0.8.3-11.el6.x86_64
kbd-misc-1.15-11.el6.noarch
tcp_wrappers-libs-7.6-56.3.el6.x86_64
sysvinit-tools-2.87-3.dsf.el6.x86_64
dbus-glib-0.86-3.el6.x86_64
mysql-libs-5.1.47-3.el6.x86_64
authconfig-6.1.4-4.el6.x86_64
libstdc++-4.4.4-10.el6.x86_64
grubby-7.0.15-1.el6.x86_64
libnih-1.0.1-6.el6.x86_64
xorg-x11-drv-ati-firmware-6.13.0-6.el6.noarch
rhn-check-1.0.0-27.el6.noarch
net-tools-1.60-102.el6.x86_64
which-2.19-5.1.el6.x86_64
cracklib-2.8.16-2.el6.x86_64
keyutils-libs-1.4-1.el6.x86_64
passwd-0.77-4.el6.x86_64
ustr-1.0.4-9.1.el6.x86_64
pygpgme-0.1-18.20090824bzr68.el6.x86_64
python-ethtool-0.3-5.1.el6.x86_64
dash-0.5.5.1-3.1.el6.x86_64
python-iniparse-0.3.1-2.1.el6.noarch
rhnlib-2.5.22-5.el6.noarch
mdadm-3.1.2-11.el6.x86_64
cronie-1.4.4-2.el6.x86_64
e2fsprogs-1.41.12-2.el6.x86_64
iwl6000-firmware-9.176.4.1-2.el6.noarch
ql2400-firmware-5.03.02-1.el6.noarch
iwl4965-firmware-228.61.2.24-2.1.el6.noarch

Comment 10 Andrew Beekhof 2010-07-21 06:56:35 UTC
Here's another one from the same machine as comment #9.
The stack trace is a little borked because we're in the middle of updating python.


Core was generated by `/usr/bin/python /usr/bin/yum update python'.
Program terminated with signal 6, Aborted.
#0  0x00007f1c37fdc9b5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) where
#0  0x00007f1c37fdc9b5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007f1c37fde195 in abort () at abort.c:92
#2  0x00007f1c37fd5945 in __assert_fail (assertion=0x7f1c310edbc9 "fd && fd->magic == 0x04463138", file=<value optimized out>, line=1566, function=<value optimized out>) at assert.c:81
#3  0x00007f1c310e022c in Fclose (fd=0xe058e0) at rpmio.c:1566
#4  0x00007f1c31cccfd7 in runScript (psm=0x2fe3610, h=0xe058e0, stag=RPMTAG_POSTIN, argvp=<value optimized out>, script=0x0, arg1=2, arg2=-1) at psm.c:781
#5  0x00007f1c31ccdeda in runInstScript (psm=0x2fe3610, stage=<value optimized out>) at psm.c:819
#6  rpmpsmStage (psm=0x2fe3610, stage=<value optimized out>) at psm.c:1558
#7  0x00007f1c31cceae5 in rpmpsmStage (psm=0x2fe3610, stage=<value optimized out>) at psm.c:1423
#8  0x00007f1c31cce72b in rpmpsmStage (psm=0x2fe3610, stage=<value optimized out>) at psm.c:1504
#9  0x00007f1c31ce7b5b in rpmtsProcess (ts=0x1978d40, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1435
#10 rpmtsRun (ts=0x1978d40, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1498
#11 0x00007f1c31f1151c in rpmts_Run (s=0x1346e20, args=<value optimized out>, kwds=<value optimized out>) at rpmts-py.c:556
#12 0x00007f1c38c14ae3 in ?? () from /usr/lib64/libpython2.6.so.1.0
#13 0x0000000002b20f50 in ?? ()
#14 0x0000000001294dd0 in ?? ()
#15 0x0000000001346e20 in ?? ()
#16 0x0000000000000004 in ?? ()
#17 0x00007f1c38ca7db3 in ?? () from /usr/lib64/libpython2.6.so.1.0
#18 0x00000000007c30a0 in ?? ()
#19 0x00007f1c390701dc in ?? ()
#20 0x00007f1c38cace90 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.6.so.1.0
#21 0x00007f1c38caec81 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.6.so.1.0
#22 0x00007f1c38caf561 in PyEval_EvalFrameEx () from /usr/lib64/libpython2.6.so.1.0
#23 0x0000000000f6c950 in ?? ()
#24 0x00000000024a5d88 in ?? ()
#25 0x0000000000f6b740 in ?? ()
#26 0x00007ffffd9384b8 in ?? ()
#27 0x00007ffffd9384c8 in ?? ()
#28 0x0000000000000000 in ?? ()

Comment 11 Andrew Beekhof 2010-07-21 06:57:58 UTC
This one is from a different machine that had the latest and greatest python from the nightlies.

Core was generated by `/usr/bin/python /usr/bin/yum update'.
Program terminated with signal 11, Segmentation fault.
#0  malloc_consolidate (av=0x7f8d5b05fe80) at malloc.c:5155
5155		  nextsize = chunksize(nextchunk);
Missing separate debuginfos, use: debuginfo-install libgcc-4.4.4-10.el6.x86_64
(gdb) where
#0  malloc_consolidate (av=0x7f8d5b05fe80) at malloc.c:5155
#1  0x00007f8d5ad5d6d2 in _int_malloc (av=0x7f8d5b05fe80, bytes=<value optimized out>) at malloc.c:4373
#2  0x00007f8d5ad5e798 in __libc_calloc (n=<value optimized out>, elem_size=<value optimized out>) at malloc.c:4065
#3  0x00007f8d53e17fec in lzopen_internal (path=<value optimized out>, mode=<value optimized out>, fd=<value optimized out>, xz=1) at rpmio.c:1180
#4  0x00007f8d53e1bc5e in xzdopen (ofd=0x3f85fb0, fmode=0x44a7970 "r.xz") at rpmio.c:1218
#5  xzdFdopen (ofd=0x3f85fb0, fmode=0x44a7970 "r.xz") at rpmio.c:1359
#6  Fdopen (ofd=0x3f85fb0, fmode=0x44a7970 "r.xz") at rpmio.c:1719
#7  0x00007f8d54a09d8e in rpmpsmStage (psm=0x3ddb0d0, stage=<value optimized out>) at psm.c:1312
#8  0x00007f8d54a09714 in rpmpsmStage (psm=0x3ddb0d0, stage=<value optimized out>) at psm.c:1503
#9  0x00007f8d54a22b5b in rpmtsProcess (ts=0x2f6dc70, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1435
#10 rpmtsRun (ts=0x2f6dc70, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1498
#11 0x00007f8d54c4c51c in rpmts_Run (s=0x385cd50, args=<value optimized out>, kwds=<value optimized out>) at rpmts-py.c:556
#12 0x00007f8d5b94fe13 in PyObject_Call (func=<built-in method run of TransactionSet object at remote 0x385cd50>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#13 0x00007f8d5b9e4ac3 in PyEval_CallObjectWithKeywords (func=<built-in method run of TransactionSet object at remote 0x385cd50>, arg=(<instancemethod at remote 0x472b050>, '', 0), kw=<value optimized out>) at Python/ceval.c:3619
#14 0x00007f8d5b96a99c in methoddescr_call (descr=<value optimized out>, args=(<instancemethod at remote 0x472b050>, '', 0), kwds=0x0) at Objects/descrobject.c:246
#15 0x00007f8d5b94fe13 in PyObject_Call (func=<method_descriptor at remote 0x7f8d5bdc4bd8>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#16 0x00007f8d5b9e98b1 in do_call (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3968
#17 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3773
#18 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#19 0x00007f8d5b9eb52d in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3836
#20 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#21 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#22 0x00007f8d5b9ec5a4 in PyEval_EvalCodeEx (co=0x7f8d5be19a80, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x3a12680, kwcount=1, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#23 0x00007f8d5b9ea61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#24 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#25 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#26 0x00007f8d5b9eb52d in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3836
#27 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#28 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#29 0x00007f8d5b9ec5a4 in PyEval_EvalCodeEx (co=0x25d6be8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x25cae48, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#30 0x00007f8d5b9ea61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#31 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#32 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#33 0x00007f8d5b9ec5a4 in PyEval_EvalCodeEx (co=0x25d6dc8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x1ead628, kwcount=1, defs=0x25a1ae8, defcount=1, closure=0x0)
    at Python/ceval.c:3000
#34 0x00007f8d5b9ea61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#35 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#36 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#37 0x00007f8d5b9ec5a4 in PyEval_EvalCodeEx (co=0x7f8d5bdf97b0, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#38 0x00007f8d5b9ec6a2 in PyEval_EvalCode (co=<value optimized out>, globals=<value optimized out>, locals=<value optimized out>) at Python/ceval.c:541
#39 0x00007f8d5ba076ec in run_mod (mod=<value optimized out>, filename=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7f8d5bead868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7f8d5beadc20>, 'yum': <module at remote 0x7f8d5be0cec0>, '__name__': '__main__', 'yummain': <module at remote 0x25a28a0>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7f8d5bead868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7f8d5beadc20>, 'yum': <module at remote 0x7f8d5be0cec0>, '__name__': '__main__', 'yummain': <module at remote 0x25a28a0>, '__doc__': None}, flags=<value optimized out>, arena=<value optimized out>) at Python/pythonrun.c:1339
#40 0x00007f8d5ba077c0 in PyRun_FileExFlags (fp=0x1ead480, filename=0x7fff76d52926 "/usr/bin/yum", start=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7f8d5bead868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7f8d5beadc20>, 'yum': <module at remote 0x7f8d5be0cec0>, '__name__': '__main__', 'yummain': <module at remote 0x25a28a0>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7f8d5bead868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7f8d5beadc20>, 'yum': <module at remote 0x7f8d5be0cec0>, '__name__': '__main__', 'yummain': <module at remote 0x25a28a0>, '__doc__': None}, closeit=1, flags=0x7fff76d511d0) at Python/pythonrun.c:1325
#41 0x00007f8d5ba08c5c in PyRun_SimpleFileExFlags (fp=0x1ead480, filename=0x7fff76d52926 "/usr/bin/yum", closeit=1, flags=0x7fff76d511d0) at Python/pythonrun.c:935
#42 0x00007f8d5ba152bd in Py_Main (argc=<value optimized out>, argv=<value optimized out>) at Modules/main.c:572
#43 0x00007f8d5ad03c5d in __libc_start_main (main=0x400710 <main>, argc=3, ubp_av=0x7fff76d512f8, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff76d512e8) at libc-start.c:226
#44 0x0000000000400649 in _start ()



[root@pcmk-3 ~]# rpm -qa 
rt61pci-firmware-1.2-7.el6.noarch
zd1211-firmware-1.4-4.el6.noarch
basesystem-10.0-4.el6.noarch
ivtv-firmware-20080701-20.2.noarch
ncurses-base-5.7-3.20090208.el6.x86_64
openssh-server-5.3p1-18.el6.x86_64
perl-version-0.77-113.el6.x86_64
perl-5.10.1-113.el6.x86_64
bash-4.1.2-3.el6.x86_64
info-4.13a-8.el6.x86_64
zlib-1.2.3-25.el6.x86_64
popt-1.13-7.el6.x86_64
file-libs-5.04-5.el6.x86_64
libcom_err-1.41.12-2.el6.x86_64
libuuid-2.17.2-4.el6.x86_64
libsepol-2.0.41-3.el6.x86_64
checkpolicy-2.0.22-1.el6.x86_64
cluster-glue-libs-1.0.5-2.el6.x86_64
diffutils-2.8.1-28.el6.x86_64
libmlx4-1.0.1-5.el6.x86_64
nss-sysinit-3.12.6-3.el6.x86_64
libnl-1.1-11.el6.x86_64
libcurl-7.19.7-16.el6.x86_64
libtirpc-0.2.0-4.1.el6.x86_64
gnupg2-2.0.14-3.el6.x86_64
oddjob-0.30-1.el6.x86_64
rpm-4.8.0-12.el6.x86_64
net-snmp-libs-5.5-23.el6.x86_64
redhat-logos-60.0.11-2.el6.noarch
netcf-libs-0.1.6-2.el6.x86_64
redhat-release-server-5.91Server-6.0.0.33.el6.x86_64
net-snmp-utils-5.5-23.el6.x86_64
shadow-utils-4.1.4.2-7.el6.x86_64
librdmacm-1.0.10-2.el6.x86_64
initscripts-9.03.12-1.el6.x86_64
corosynclib-1.2.3-12.el6.x86_64
udev-147-2.20.el6.x86_64
openais-1.1.1-5.el6.x86_64
device-mapper-1.02.51-2.el6.x86_64
modcluster-0.16.2-8.el6.x86_64
device-mapper-event-1.02.51-2.el6.x86_64
fence-virt-0.2.1-4.el6.x86_64
grep-2.6.3-2.el6.x86_64
sg3_utils-libs-1.28-3.el6.x86_64
bzip2-1.0.5-6.1.el6.x86_64
nc-1.84-22.el6.x86_64
libselinux-utils-2.0.94-1.el6.x86_64
libesmtp-1.0.4-15.el6.x86_64
ricci-0.16.2-9.el6.x86_64
dhclient-4.1.1-11.P1.el6.x86_64
numactl-2.0.3-9.el6.x86_64
pygobject2-2.20.0-5.el6.x86_64
gnutls-2.8.5-4.el6.x86_64
attr-2.4.44-4.el6.x86_64
libpcap-1.0.0-6.20091201git117cb5.el6.x86_64
gmp-4.3.1-7.el6.x86_64
nfs-utils-1.2.2-4.el6.x86_64
libuser-0.56.13-3.el6.x86_64
libtalloc-2.0.1-1.1.el6.x86_64
sudo-1.7.2p2-6.el6.x86_64
cyrus-sasl-md5-2.1.23-8.el6.x86_64
selinux-policy-targeted-3.7.19-31.el6.noarch
libvirt-client-0.8.1-13.el6.x86_64
vim-minimal-7.2.411-1.4.el6.x86_64
quota-3.17-10.el6.x86_64
libutempter-1.1.5-4.1.el6.x86_64
xinetd-2.3.14-29.el6.x86_64
cluster-glue-1.0.5-2.el6.x86_64
ncurses-5.7-3.20090208.el6.x86_64
perl-Net-Telnet-3.03-11.el6.noarch
pam-1.1.1-4.el6.x86_64
cman-3.0.12-12.el6.x86_64
mingetty-1.08-4.1.el6.x86_64
pacemaker-libs-1.1.2-7.el6.x86_64
pacemaker-debuginfo-1.1.2-7.el6.x86_64
python-2.6.5-3.el6.x86_64
libsemanage-2.0.43-4.el6.x86_64
perl-version-0.77-115.el6.x86_64
perl-Pod-Simple-3.13-115.el6.x86_64
yum-metadata-parser-1.1.2-14.1.el6.x86_64
perl-5.10.1-115.el6.x86_64
pyOpenSSL-0.10-2.el6.x86_64
corosynclib-1.2.3-15.el6.x86_64
newt-python-0.52.11-1.el6.x86_64
libuuid-2.17.2-5.el6.x86_64
hwdata-0.230-1.el6.noarch
yum-plugin-auto-update-debug-info-1.1.26-11.el6.noarch
iputils-20071127-12.el6.x86_64
openssl-debuginfo-1.0.0-4.el6.x86_64
cyrus-sasl-2.1.23-8.el6.x86_64
expat-debuginfo-2.0.1-9.1.el6.x86_64
crontabs-1.10-32.1.el6.noarch
sqlite-debuginfo-3.6.20-1.el6.x86_64
yum-rhn-plugin-0.9.1-5.el6.noarch
python-debuginfo-2.6.5-3.el6.x86_64
acl-2.2.49-4.el6.x86_64
glibc-debuginfo-2.12-1.4.el6.x86_64
kernel-2.6.32-37.el6.x86_64
gdbm-debuginfo-1.8.0-36.el6.x86_64
b43-openfwwf-5.2-4.el6.noarch
libssh2-debuginfo-1.2.2-6.el6.x86_64
iwl5000-firmware-8.24.2.12-3.el6.noarch
libidn-debuginfo-1.18-2.el6.x86_64
atmel-firmware-1.3-7.el6.noarch
nss-debuginfo-3.12.6-3.el6.x86_64
ql2200-firmware-2.02.08-3.1.el6.noarch
xz-debuginfo-4.999.9-0.3.beta.20091007git.el6.x86_64
ql2500-firmware-5.03.02-2.el6.noarch
popt-debuginfo-1.13-7.el6.x86_64
ipw2200-firmware-3.1-4.el6.noarch
libgpg-error-debuginfo-1.7-3.el6.x86_64
openssh-clients-5.3p1-18.el6.x86_64
pyOpenSSL-debuginfo-0.10-2.el6.x86_64
perl-Pod-Escapes-1.04-113.el6.x86_64
m2crypto-debuginfo-0.20.2-7.el6.x86_64
perl-Module-Pluggable-3.90-113.el6.x86_64
gamin-debuginfo-0.1.10-9.el6.x86_64
libgcc-4.4.4-10.el6.x86_64
attr-debuginfo-2.4.44-4.el6.x86_64
glibc-common-2.12-1.4.el6.x86_64
pygpgme-debuginfo-0.1-18.20090824bzr68.el6.x86_64
libudev-147-2.20.el6.x86_64
gpgme-debuginfo-1.1.8-3.el6.x86_64
krb5-libs-1.8.2-2.el6.x86_64
libselinux-debuginfo-2.0.94-1.el6.x86_64
cpio-2.10-9.el6.x86_64
yum-metadata-parser-debuginfo-1.1.2-14.1.el6.x86_64
lua-debuginfo-5.1.4-4.1.el6.x86_64
filesystem-2.4.30-2.1.el6.x86_64
cyrus-sasl-debuginfo-2.1.23-8.el6.x86_64
ca-certificates-2010.63-3.el6.noarch
tzdata-2010i-1.el6.noarch
ncurses-libs-5.7-3.20090208.el6.x86_64
audit-libs-2.0.4-1.el6.x86_64
chkconfig-1.3.46-1.el6.x86_64
libselinux-2.0.94-1.el6.x86_64
gamin-0.1.10-9.el6.x86_64
nspr-4.8.4-2.el6.x86_64
nss-util-3.12.6-1.el6.x86_64
readline-6.0-3.el6.x86_64
libacl-2.2.49-4.el6.x86_64
rhn-client-tools-1.0.0-27.el6.noarch
kernel-firmware-2.6.32-44.el6.noarch
setup-2.8.14-10.el6.noarch
sqlite-3.6.20-1.el6.x86_64
libidn-1.18-2.el6.x86_64
xz-libs-4.999.9-0.3.beta.20091007git.el6.x86_64
pcre-7.8-3.1.el6.x86_64
libgcrypt-1.4.5-3.el6.x86_64
cryptsetup-luks-1.1.2-1.el6.x86_64
kpartx-0.4.9-23.el6.x86_64
rsyslog-4.6.2-2.el6.x86_64
pciutils-libs-3.1.4-9.el6.x86_64
less-436-4.el6.x86_64
libusb-0.1.12-23.el6.x86_64
file-5.04-5.el6.x86_64
dracut-004-25.el6.noarch
kernel-2.6.32-44.el6.x86_64
pinentry-0.7.6-5.el6.x86_64
rhn-setup-1.0.0-27.el6.noarch
e2fsprogs-libs-1.41.12-2.el6.x86_64
ethtool-2.6.33-0.3.el6.x86_64
gpgme-1.1.8-3.el6.x86_64
fipscheck-lib-1.2.0-4.1.el6.x86_64
python-dmidecode-3.10.12-1.el6.x86_64
python-pycurl-7.19.0-5.el6.x86_64
python-gudev-147.1-4.el6.x86_64
newt-0.52.11-1.el6.x86_64
python-urlgrabber-3.9.1-6.el6.noarch
dmraid-events-1.0.0.rc16-8.el6.x86_64
postfix-2.6.6-2.el6.x86_64
usermode-1.102-3.el6.x86_64
efibootmgr-0.5.4-8.el6.x86_64
iwl5150-firmware-8.24.2.2-1.el6.noarch
grub-0.97-62.el6.x86_64
libertas-usb8388-firmware-5.110.22.p23-3.1.el6.noarch
iwl3945-firmware-15.32.2.9-4.el6.noarch
coreutils-libs-8.4-9.el6.x86_64
ql2100-firmware-1.19.38-3.1.el6.noarch
openssl-1.0.0-4.el6.x86_64
ql23xx-firmware-3.03.27-3.1.el6.noarch
module-init-tools-3.9-15.el6.x86_64
libedit-2.11-4.20080712cvs.1.el6.x86_64
dbus-libs-1.2.24-2.el6.x86_64
gdb-7.1-28.el6.x86_64
upstart-0.6.5-6.1.el6.x86_64
perl-libs-5.10.1-113.el6.x86_64
gzip-1.3.12-18.el6.x86_64
yum-utils-1.1.26-10.el6.noarch
iptables-ipv6-1.4.7-2.el6.x86_64
glibc-2.12-1.4.el6.x86_64
tar-1.23-3.el6.x86_64
db4-4.7.25-16.el6.x86_64
procps-3.2.8-14.el6.x86_64
elfutils-libelf-0.148-1.el6.x86_64
db4-utils-4.7.25-16.el6.x86_64
findutils-4.4.2-6.el6.x86_64
libtool-ltdl-2.2.6-15.5.el6.x86_64
pth-2.0.7-9.3.el6.x86_64
libxslt-1.1.26-1.el6.1.x86_64
bzip2-libs-1.0.5-6.1.el6.x86_64
libibverbs-1.1.3-4.el6.x86_64
sed-4.2.1-5.el6.x86_64
libgssglue-0.1-8.1.el6.x86_64
dbus-1.2.24-2.el6.x86_64
libcap-2.16-5.2.el6.x86_64
lm_sensors-libs-3.1.1-8.el6.x86_64
rpm-python-4.8.0-12.el6.x86_64
augeas-libs-0.7.2-2.el6.x86_64
net-snmp-5.5-23.el6.x86_64
libgpg-error-1.7-3.el6.x86_64
rpcbind-0.2.0-5.el6.x86_64
lua-5.1.4-4.1.el6.x86_64
corosync-1.2.3-12.el6.x86_64
cyrus-sasl-lib-2.1.23-8.el6.x86_64
clusterlib-3.0.12-12.el6.x86_64
openaislib-1.1.1-5.el6.x86_64
libxml2-2.7.6-1.el6.x86_64
telnet-0.17-46.el6.x86_64
cryptsetup-luks-libs-1.1.2-1.el6.x86_64
ipmitool-1.8.11-6.el6.x86_64
policycoreutils-2.0.82-32.el6.x86_64
sg3_utils-1.28-3.el6.x86_64
selinux-policy-3.7.19-31.el6.noarch
nss-tools-3.12.6-3.el6.x86_64
kbd-1.15-11.el6.x86_64
parted-2.1-8.el6.x86_64
lvm2-2.02.69-2.el6.x86_64
keyutils-1.4-1.el6.x86_64
expat-2.0.1-9.1.el6.x86_64
libtasn1-2.3-3.el6.x86_64
m2crypto-0.20.2-7.el6.x86_64
libevent-1.4.13-1.el6.x86_64
libgudev1-147-2.20.el6.x86_64
nfs-utils-lib-1.1.5-1.el6.x86_64
cifs-utils-4.4-4.el6.x86_64
dracut-kernel-004-25.el6.noarch
yajl-1.0.7-3.el6.x86_64
yum-3.2.27-12.el6.noarch
tcp_wrappers-7.6-56.3.el6.x86_64
system-config-firewall-base-1.2.26-1.el6.noarch
resource-agents-3.0.12-9.el6.x86_64
psmisc-22.6-15.el6.x86_64
perl-TimeDate-1.16-11.1.el6.noarch
libss-1.41.12-2.el6.x86_64
pexpect-2.3-6.el6.noarch
cracklib-dicts-2.8.16-2.el6.x86_64
fence-agents-3.0.12-6.el6.x86_64
pacemaker-1.1.2-7.el6.x86_64
python-libs-2.6.5-3.el6.x86_64
fipscheck-1.2.0-4.1.el6.x86_64
perl-Pod-Escapes-1.04-115.el6.x86_64
perl-Module-Pluggable-3.90-115.el6.x86_64
libxml2-python-2.7.6-1.el6.x86_64
perl-libs-5.10.1-115.el6.x86_64
dbus-python-0.83.0-6.1.el6.x86_64
gawk-3.1.7-6.el6.x86_64
slang-2.2.1-1.el6.x86_64
corosync-1.2.3-15.el6.x86_64
sgpio-1.2.0.10-5.el6.x86_64
libblkid-2.17.2-5.el6.x86_64
libffi-debuginfo-3.0.5-3.2.el6.x86_64
dmraid-1.0.0.rc16-8.el6.x86_64
bzip2-debuginfo-1.0.5-6.1.el6.x86_64
cronie-anacron-1.4.4-2.el6.x86_64
readline-debuginfo-6.0-3.el6.x86_64
rhnsd-4.9.3-2.el6.x86_64
zlib-debuginfo-1.2.3-25.el6.x86_64
audit-2.0.4-1.el6.x86_64
ncurses-debuginfo-5.7-3.20090208.el6.x86_64
libdrm-2.4.20-2.el6.x86_64
db4-debuginfo-4.7.25-16.el6.x86_64
bfa-firmware-2.1.2.1-2.el6.noarch
rpm-debuginfo-4.8.0-12.el6.x86_64
aic94xx-firmware-30-2.el6.noarch
pth-debuginfo-2.0.7-9.3.el6.x86_64
rootfiles-8.1-6.1.el6.noarch
libxml2-debuginfo-2.7.6-1.el6.x86_64
iwl1000-firmware-128.50.3.1-1.1.el6.noarch
file-debuginfo-5.04-5.el6.x86_64
rt73usb-firmware-1.8-7.el6.noarch
curl-debuginfo-7.19.7-16.el6.x86_64
ipw2100-firmware-1.3-11.el6.noarch
elfutils-debuginfo-0.148-1.el6.x86_64
openssh-5.3p1-18.el6.x86_64
e2fsprogs-debuginfo-1.41.12-2.el6.x86_64
wget-1.12-1.4.el6.x86_64
glib2-debuginfo-2.22.5-4.el6.x86_64
perl-Pod-Simple-3.13-113.el6.x86_64
python-pycurl-debuginfo-7.19.0-5.el6.x86_64
valgrind-3.5.0-18.el6.x86_64
krb5-debuginfo-1.8.2-2.el6.x86_64
nss-softokn-freebl-3.12.4-18.el6.x86_64
nspr-debuginfo-4.8.4-2.el6.x86_64
glib2-2.22.5-4.el6.x86_64
nss-util-debuginfo-3.12.6-1.el6.x86_64
gawk-3.1.7-5.el6.x86_64
acl-debuginfo-2.2.49-4.el6.x86_64
iptables-1.4.7-2.el6.x86_64
libcap-debuginfo-2.16-5.2.el6.x86_64
libattr-2.4.44-4.el6.x86_64
keyutils-debuginfo-1.4-1.el6.x86_64
coreutils-8.4-9.el6.x86_64
openldap-debuginfo-2.4.19-15.el6.x86_64
openldap-2.4.19-15.el6.x86_64
nss-softokn-debuginfo-3.12.4-18.el6.x86_64
libssh2-1.2.2-6.el6.x86_64
libcap-ng-0.6.4-3.el6.x86_64
logrotate-3.7.8-12.el6.x86_64
iproute-2.6.32-9.el6.x86_64
gdbm-1.8.0-36.el6.x86_64
plymouth-core-libs-0.8.3-11.el6.x86_64
m4-1.4.13-5.el6.x86_64
libffi-3.0.5-3.2.el6.x86_64
libblkid-2.17.2-4.el6.x86_64
nss-softokn-3.12.4-18.el6.x86_64
nss-3.12.6-3.el6.x86_64
plymouth-scripts-0.8.3-11.el6.x86_64
curl-7.19.7-16.el6.x86_64
rpm-libs-4.8.0-12.el6.x86_64
MAKEDEV-3.24-6.el6.x86_64
util-linux-ng-2.17.2-4.el6.x86_64
device-mapper-libs-1.02.51-2.el6.x86_64
device-mapper-event-libs-1.02.51-2.el6.x86_64
lvm2-libs-2.02.69-2.el6.x86_64
libcgroup-0.36.1-5.el6.x86_64
plymouth-0.8.3-11.el6.x86_64
kbd-misc-1.15-11.el6.noarch
tcp_wrappers-libs-7.6-56.3.el6.x86_64
sysvinit-tools-2.87-3.dsf.el6.x86_64
dbus-glib-0.86-3.el6.x86_64
mysql-libs-5.1.47-3.el6.x86_64
authconfig-6.1.4-4.el6.x86_64
libstdc++-4.4.4-10.el6.x86_64
grubby-7.0.15-1.el6.x86_64
libnih-1.0.1-6.el6.x86_64
xorg-x11-drv-ati-firmware-6.13.0-6.el6.noarch
rhn-check-1.0.0-27.el6.noarch
net-tools-1.60-102.el6.x86_64
which-2.19-5.1.el6.x86_64
cracklib-2.8.16-2.el6.x86_64
keyutils-libs-1.4-1.el6.x86_64
passwd-0.77-4.el6.x86_64
ustr-1.0.4-9.1.el6.x86_64
pygpgme-0.1-18.20090824bzr68.el6.x86_64
python-ethtool-0.3-5.1.el6.x86_64
dash-0.5.5.1-3.1.el6.x86_64
python-iniparse-0.3.1-2.1.el6.noarch
rhnlib-2.5.22-5.el6.noarch
mdadm-3.1.2-11.el6.x86_64
cronie-1.4.4-2.el6.x86_64
e2fsprogs-1.41.12-2.el6.x86_64
iwl6000-firmware-9.176.4.1-2.el6.noarch
ql2400-firmware-5.03.02-1.el6.noarch
iwl4965-firmware-228.61.2.24-2.1.el6.noarch
[root@pcmk-3 ~]#

Comment 12 Andrew Beekhof 2010-07-21 07:12:56 UTC
And from another machine with the very latest nightlies:


Core was generated by `/usr/bin/python /usr/bin/yum install -y emacs-nox'.
Program terminated with signal 6, Aborted.
#0  0x00007fb16627b9b5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) where
#0  0x00007fb16627b9b5 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007fb16627d195 in abort () at abort.c:92
#2  0x00007fb1662b8e1b in __libc_message (do_abort=2, fmt=0x7fb16638cab8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
#3  0x00007fb1662be736 in malloc_printerr (action=3, str=0x7fb16638ce18 "free(): corrupted unsorted chunks", ptr=<value optimized out>) at malloc.c:6283
#4  0x00007fb15f382439 in rfree (ptr=<value optimized out>) at rpmmalloc.c:78
#5  0x00007fb15f37ea7c in fdFree (fd=0x327b5b0, msg=<value optimized out>) at rpmio.c:407
#6  0x00007fb15f37f16f in Fclose (fd=0x327b5b0) at rpmio.c:1595
#7  0x00007fb15ff6bfd7 in runScript (psm=0x1a93ee0, h=0x327b5b0, stag=RPMTAG_POSTIN, argvp=<value optimized out>, script=
    0x38b54b2 "for f in ada-mode auth autotype calc ccmode cl dbus dired-x ebrowse ediff efaq eintr elisp emacs emacs-mime epa erc eshell eudc flymake forms gnus idlwave info mairix-el message mh-e newsticker nxml-m"..., arg1=1, arg2=-1)
    at psm.c:781
#8  0x00007fb15ff6ceda in runInstScript (psm=0x1a93ee0, stage=<value optimized out>) at psm.c:819
#9  rpmpsmStage (psm=0x1a93ee0, stage=<value optimized out>) at psm.c:1558
#10 0x00007fb15ff6dae5 in rpmpsmStage (psm=0x1a93ee0, stage=<value optimized out>) at psm.c:1423
#11 0x00007fb15ff6d72b in rpmpsmStage (psm=0x1a93ee0, stage=<value optimized out>) at psm.c:1504
#12 0x00007fb15ff86b5b in rpmtsProcess (ts=0x38051f0, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1435
#13 rpmtsRun (ts=0x38051f0, okProbs=<value optimized out>, ignoreSet=<value optimized out>) at transaction.c:1498
#14 0x00007fb1601b051c in rpmts_Run (s=0x1eb8870, args=<value optimized out>, kwds=<value optimized out>) at rpmts-py.c:556
#15 0x00007fb166eb3e13 in PyObject_Call (func=<built-in method run of TransactionSet object at remote 0x1eb8870>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#16 0x00007fb166f48ac3 in PyEval_CallObjectWithKeywords (func=<built-in method run of TransactionSet object at remote 0x1eb8870>, arg=(<instancemethod at remote 0x3e54690>, '', 0), kw=<value optimized out>) at Python/ceval.c:3619
#17 0x00007fb166ece99c in methoddescr_call (descr=<value optimized out>, args=(<instancemethod at remote 0x3e54690>, '', 0), kwds=0x0) at Objects/descrobject.c:246
#18 0x00007fb166eb3e13 in PyObject_Call (func=<method_descriptor at remote 0x7fb167328bd8>, arg=<value optimized out>, kw=<value optimized out>) at Objects/abstract.c:2492
#19 0x00007fb166f4d8b1 in do_call (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3968
#20 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3773
#21 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#22 0x00007fb166f4f52d in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3836
#23 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#24 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#25 0x00007fb166f505a4 in PyEval_EvalCodeEx (co=0x7fb16737da80, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x1a1fa80, kwcount=1, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#26 0x00007fb166f4e61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#27 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#28 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#29 0x00007fb166f4f52d in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3836
#30 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#31 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#32 0x00007fb166f505a4 in PyEval_EvalCodeEx (co=0x1ba8be8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x1b95788, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#33 0x00007fb166f4e61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#34 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#35 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#36 0x00007fb166f505a4 in PyEval_EvalCodeEx (co=0x1ba8dc8, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=1, kws=0x1477628, kwcount=1, defs=0x1b70ae8, defcount=1, closure=0x0)
    at Python/ceval.c:3000
#37 0x00007fb166f4e61e in fast_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3846
#38 call_function (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:3771
#39 PyEval_EvalFrameEx (f=<value optimized out>, throwflag=<value optimized out>) at Python/ceval.c:2412
#40 0x00007fb166f505a4 in PyEval_EvalCodeEx (co=0x7fb16735d7b0, globals=<value optimized out>, locals=<value optimized out>, args=<value optimized out>, argcount=0, kws=0x0, kwcount=0, defs=0x0, defcount=0, closure=0x0)
    at Python/ceval.c:3000
#41 0x00007fb166f506a2 in PyEval_EvalCode (co=<value optimized out>, globals=<value optimized out>, locals=<value optimized out>) at Python/ceval.c:541
#42 0x00007fb166f6b6ec in run_mod (mod=<value optimized out>, filename=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7fb167411868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fb167411c20>, 'yum': <module at remote 0x7fb167370ef8>, '__name__': '__main__', 'yummain': <module at remote 0x1b71910>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7fb167411868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fb167411c20>, 'yum': <module at remote 0x7fb167370ef8>, '__name__': '__main__', 'yummain': <module at remote 0x1b71910>, '__doc__': None}, flags=<value optimized out>, arena=<value optimized out>) at Python/pythonrun.c:1339
#43 0x00007fb166f6b7c0 in PyRun_FileExFlags (fp=0x1477480, filename=0x7fff88f48918 "/usr/bin/yum", start=<value optimized out>, globals=
    {'__builtins__': <module at remote 0x7fb167411868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fb167411c20>, 'yum': <module at remote 0x7fb167370ef8>, '__name__': '__main__', 'yummain': <module at remote 0x1b71910>, '__doc__': None}, locals=
    {'__builtins__': <module at remote 0x7fb167411868>, '__file__': '/usr/bin/yum', '__package__': None, 'sys': <module at remote 0x7fb167411c20>, 'yum': <module at remote 0x7fb167370ef8>, '__name__': '__main__', 'yummain': <module at remote 0x1b71910>, '__doc__': None}, closeit=1, flags=0x7fff88f46e90) at Python/pythonrun.c:1325
#44 0x00007fb166f6cc5c in PyRun_SimpleFileExFlags (fp=0x1477480, filename=0x7fff88f48918 "/usr/bin/yum", closeit=1, flags=0x7fff88f46e90) at Python/pythonrun.c:935
#45 0x00007fb166f792bd in Py_Main (argc=<value optimized out>, argv=<value optimized out>) at Modules/main.c:572
#46 0x00007fb166267c5d in __libc_start_main (main=0x400710 <main>, argc=5, ubp_av=0x7fff88f46fb8, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff88f46fa8) at libc-start.c:226
#47 0x0000000000400649 in _start ()



[root@pcmk-4 ~]# yum install -y emacs-nox
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package emacs-nox.x86_64 1:23.1-20.el6 set to be updated
--> Processing Dependency: emacs-common = 1:23.1-20.el6 for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2()(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Running transaction check
---> Package alsa-lib.x86_64 0:1.0.21-3.el6 set to be updated
---> Package emacs-common.x86_64 1:23.1-20.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================================================================================
 Package                                                      Arch                                                   Version                                                         Repository                                            Size
================================================================================================================================================================================================================================================
Installing:
 emacs-nox                                                    x86_64                                                 1:23.1-20.el6                                                   rhel                                                 1.9 M
Installing for dependencies:
 alsa-lib                                                     x86_64                                                 1.0.21-3.el6                                                    rhel                                                 368 k
 emacs-common                                                 x86_64                                                 1:23.1-20.el6                                                   rhel                                                  18 M

Transaction Summary
================================================================================================================================================================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total download size: 20 M
Installed size: 69 M
Downloading Packages:
(1/3): alsa-lib-1.0.21-3.el6.x86_64.rpm                                                                                                                                                                                  | 368 kB     00:00     
(2/3): emacs-common-23.1-20.el6.x86_64.rpm                                                                                                                                                                               |  18 MB     00:02     
(3/3): emacs-nox-23.1-20.el6.x86_64.rpm                                                                                                                                                                                  | 1.9 MB     00:00     
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                           6.8 MB/s |  20 MB     00:03     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : 1:emacs-common-23.1-20.el6.x86_64                                                                                                                                                                                        1/3 
*** glibc detected *** /usr/bin/python: free(): corrupted unsorted chunks: 0x0000000002fe0730 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x75736)[0x7fb1662be736]
/usr/lib64/librpmio.so.1(rfree+0x9)[0x7fb15f382439]
/usr/lib64/librpmio.so.1(fdFree+0xec)[0x7fb15f37ea7c]
/usr/lib64/librpmio.so.1(Fclose+0xef)[0x7fb15f37f16f]
/usr/lib64/librpm.so.1(+0x33fd7)[0x7fb15ff6bfd7]
/usr/lib64/librpm.so.1(+0x34eda)[0x7fb15ff6ceda]
/usr/lib64/librpm.so.1(+0x35ae5)[0x7fb15ff6dae5]
/usr/lib64/librpm.so.1(+0x3572b)[0x7fb15ff6d72b]
/usr/lib64/librpm.so.1(rpmtsRun+0x86b)[0x7fb15ff86b5b]
/usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so(+0xe51c)[0x7fb1601b051c]
/usr/lib64/libpython2.6.so.1.0(PyObject_Call+0x53)[0x7fb166eb3e13]
/usr/lib64/libpython2.6.so.1.0(PyEval_CallObjectWithKeywords+0x43)[0x7fb166f48ac3]
/usr/lib64/libpython2.6.so.1.0(+0x5e99c)[0x7fb166ece99c]
/usr/lib64/libpython2.6.so.1.0(PyObject_Call+0x53)[0x7fb166eb3e13]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x42b1)[0x7fb166f4d8b1]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5f2d)[0x7fb166f4f52d]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7fb166f505a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7fb166f4e61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x5f2d)[0x7fb166f4f52d]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7fb166f505a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7fb166f4e61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7fb166f505a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalFrameEx+0x501e)[0x7fb166f4e61e]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCodeEx+0x904)[0x7fb166f505a4]
/usr/lib64/libpython2.6.so.1.0(PyEval_EvalCode+0x32)[0x7fb166f506a2]
/usr/lib64/libpython2.6.so.1.0(+0xfb6ec)[0x7fb166f6b6ec]
/usr/lib64/libpython2.6.so.1.0(PyRun_FileExFlags+0x90)[0x7fb166f6b7c0]
/usr/lib64/libpython2.6.so.1.0(PyRun_SimpleFileExFlags+0xdc)[0x7fb166f6cc5c]
/usr/lib64/libpython2.6.so.1.0(Py_Main+0xadd)[0x7fb166f792bd]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x7fb166267c5d]
/usr/bin/python[0x400649]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:00 395019                             /usr/bin/python
00600000-00601000 rw-p 00000000 fd:00 395019                             /usr/bin/python
013ec000-0411c000 rw-p 00000000 00:00 0                                  [heap]
7fb1538e3000-7fb15399b000 rw-s 00000000 fd:00 263278                     /var/lib/rpm/__db.004
7fb15399b000-7fb153add000 rw-s 00000000 fd:00 263277                     /var/lib/rpm/__db.003
7fb153add000-7fb153b15000 rw-s 00000000 fd:00 263268                     /var/lib/rpm/__db.002
7fb153b15000-7fb153b1a000 r-xp 00000000 fd:00 129844                     /lib64/libnss_dns-2.12.so
7fb153b1a000-7fb153d19000 ---p 00005000 fd:00 129844                     /lib64/libnss_dns-2.12.so
7fb153d19000-7fb153d1a000 r--p 00004000 fd:00 129844                     /lib64/libnss_dns-2.12.so
7fb153d1a000-7fb153d1b000 rw-p 00005000 fd:00 129844                     /lib64/libnss_dns-2.12.so
7fb153d1b000-7fb153dd3000 rw-s 00000000 fd:00 263278                     /var/lib/rpm/__db.004
7fb153dd3000-7fb153f15000 rw-s 00000000 fd:00 263277                     /var/lib/rpm/__db.003
7fb153f15000-7fb153f79000 r-xp 00000000 fd:00 3010                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7fb153f79000-7fb154178000 ---p 00064000 fd:00 3010                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7fb154178000-7fb154182000 rw-p 00063000 fd:00 3010                       /usr/lib64/python2.6/site-packages/M2Crypto/__m2crypto.so
7fb154182000-7fb15418d000 r-xp 00000000 fd:00 3168                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7fb15418d000-7fb15438c000 ---p 0000b000 fd:00 3168                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7fb15438c000-7fb154390000 rw-p 0000a000 fd:00 3168                       /usr/lib64/python2.6/site-packages/OpenSSL/SSL.so
7fb154390000-7fb15439d000 r-xp 00000000 fd:00 3170                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7fb15439d000-7fb15459c000 ---p 0000d000 fd:00 3170                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7fb15459c000-7fb1545a2000 rw-p 0000c000 fd:00 3170                       /usr/lib64/python2.6/site-packages/OpenSSL/crypto.so
7fb1545a2000-7fb1545a4000 r-xp 00000000 fd:00 3171                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7fb1545a4000-7fb1547a4000 ---p 00002000 fd:00 3171                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7fb1547a4000-7fb1547a5000 rw-p 00002000 fd:00 3171                       /usr/lib64/python2.6/site-packages/OpenSSL/rand.so
7fb1547a5000-7fb1547c2000 r-xp 00000000 fd:00 129873                     /lib64/libtinfo.so.5.7
7fb1547c2000-7fb1549c2000 ---p 0001d000 fd:00 129873                     /lib64/libtinfo.so.5.7
7fb1549c2000-7fb1549c6000 rw-p 0001d000 fd:00 129873                     /lib64/libtinfo.so.5.7
7fb1549c6000-7fb1549f4000 r-xp 00000000 fd:00 129871                     /lib64/libncursesw.so.5.7
7fb1549f4000-7fb154bf4000 ---p 0002e000 fd:00 129871                     /lib64/libncursesw.so.5.7
7fb154bf4000-7fb154bf5000 rw-p 0002e000 fd:00 129871                     /lib64/libncursesw.so.5.7
7fb154bf5000-7fb154c06000 r-xp 00000000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7fb154c06000-7fb154e06000 ---p 00011000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7fb154e06000-7fb154e08000 rw-p 00011000 fd:00 394409                     /usr/lib64/python2.6/lib-dynload/_curses.so
7fb154e08000-7fb154e0c000 r-xp 00000000 fd:00 400576                     /usr/lib64/python2.6/lib-dynload/termios.so
7fb154e0c000-7fb15500c000 ---p 00004000 fd:00 400576                     /usr/lib64/python2.6/lib-dynload/termios.so
7fb15500c000-7fb15500e000 rw-p 00004000 fd:00 400576                     /usr/lib64/python2.6/lib-dynload/termios.so
7fb15500e000-7fb155155000 r-xp 00000000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7fb155155000-7fb155354000 ---p 00147000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7fb155354000-7fb15535e000 rw-p 00146000 fd:00 392921                     /usr/lib64/libxml2.so.2.7.6
7fb15535e000-7fb15535f000 rw-p 00000000 00:00 0 
7fb15535f000-7fb155443000 r-xp 00000000 fd:00 129891                     /lib64/libglib-2.0.so.0.2200.5
7fb155443000-7fb155643000 ---p 000e4000 fd:00 129891                     /lib64/libglib-2.0.so.0.2200.5
7fb155643000-7fb155644000 rw-p 000e4000 fd:00 129891                     /lib64/libglib-2.0.so.0.2200.5
7fb155644000-7fb155645000 rw-p 00000000 00:00 0 
7fb155645000-7fb15564f000 r-xp 00000000 fd:00 2889                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7fb15564f000-7fb15584f000 ---p 0000a000 fd:00 2889                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7fb15584f000-7fb155850000 rw-p 0000a000 fd:00 2889                       /usr/lib64/python2.6/site-packages/_sqlitecache.so
7fb155850000-7fb155851000 r-xp 00000000 fd:00 400560                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7fb155851000-7fb155a51000 ---p 00001000 fd:00 400560                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7fb155a51000-7fb155a52000 rw-p 00001000 fd:00 400560                     /usr/lib64/python2.6/lib-dynload/_weakref.so
7fb155a52000-7fb155a63000 r-xp 00000000 fd:00 400557                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7fb155a63000-7fb155c62000 ---p 00011000 fd:00 400557                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7fb155c62000-7fb155c65000 rw-p 00010000 fd:00 400557                     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
7fb155c65000-7fb155c75000 r-xp 00000000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7fb155c75000-7fb155e75000 ---p 00010000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7fb155e75000-7fb155e79000 rw-p 00010000 fd:00 394440                     /usr/lib64/python2.6/lib-dynload/datetime.so
7fb155e79000-7fb155e84000 r-xp 00000000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7fb155e84000-7fb156083000 ---p 0000b000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7fb156083000-7fb156085000 rw-p 0000a000 fd:00 394456                     /usr/lib64/python2.6/lib-dynload/pyexpat.so
7fb156085000-7fb1560ab000 r-xp 00000000 fd:00 130033                     /lib64/libexpat.so.1.5.2Aborted (core dumped)




[root@pcmk-4 ~]# rpm -qa
Freeing read locks for locker 0x4ed: 14446/140399918438144
Freeing read locks for locker 0x4ef: 14446/140399918438144
Freeing read locks for locker 0x51b: 14446/140399918438144
Freeing read locks for locker 0x51d: 14446/140399918438144
Freeing read locks for locker 0x51e: 14446/140399918438144
Freeing read locks for locker 0x51f: 14446/140399918438144
Freeing read locks for locker 0x520: 14446/140399918438144
Freeing read locks for locker 0x521: 14446/140399918438144
Freeing read locks for locker 0x522: 14446/140399918438144
Freeing read locks for locker 0x523: 14446/140399918438144
Freeing read locks for locker 0x524: 14446/140399918438144
Freeing read locks for locker 0x525: 14446/140399918438144
Freeing read locks for locker 0x526: 14446/140399918438144
Freeing read locks for locker 0x527: 14446/140399918438144
Freeing read locks for locker 0x528: 14446/140399918438144
Freeing read locks for locker 0x529: 14446/140399918438144
Freeing read locks for locker 0x52a: 14446/140399918438144
rt61pci-firmware-1.2-7.el6.noarch
zd1211-firmware-1.4-4.el6.noarch
basesystem-10.0-4.el6.noarch
ivtv-firmware-20080701-20.2.noarch
ncurses-base-5.7-3.20090208.el6.x86_64
bash-4.1.2-3.el6.x86_64
info-4.13a-8.el6.x86_64
zlib-1.2.3-25.el6.x86_64
popt-1.13-7.el6.x86_64
file-libs-5.04-5.el6.x86_64
libcom_err-1.41.12-2.el6.x86_64
libsepol-2.0.41-3.el6.x86_64
checkpolicy-2.0.22-1.el6.x86_64
diffutils-2.8.1-28.el6.x86_64
libmlx4-1.0.1-5.el6.x86_64
nss-sysinit-3.12.6-3.el6.x86_64
libnl-1.1-11.el6.x86_64
libcurl-7.19.7-16.el6.x86_64
libtirpc-0.2.0-4.1.el6.x86_64
gnupg2-2.0.14-3.el6.x86_64
oddjob-0.30-1.el6.x86_64
rpm-4.8.0-12.el6.x86_64
netcf-libs-0.1.6-2.el6.x86_64
redhat-release-server-5.91Server-6.0.0.33.el6.x86_64
shadow-utils-4.1.4.2-7.el6.x86_64
librdmacm-1.0.10-2.el6.x86_64
initscripts-9.03.12-1.el6.x86_64
device-mapper-1.02.51-2.el6.x86_64
device-mapper-event-1.02.51-2.el6.x86_64
fence-virt-0.2.1-4.el6.x86_64
grep-2.6.3-2.el6.x86_64
sg3_utils-libs-1.28-3.el6.x86_64
bzip2-1.0.5-6.1.el6.x86_64
nc-1.84-22.el6.x86_64
libselinux-utils-2.0.94-1.el6.x86_64
libesmtp-1.0.4-15.el6.x86_64
ricci-0.16.2-9.el6.x86_64
dhclient-4.1.1-11.P1.el6.x86_64
numactl-2.0.3-9.el6.x86_64
pygobject2-2.20.0-5.el6.x86_64
gnutls-2.8.5-4.el6.x86_64
attr-2.4.44-4.el6.x86_64
libpcap-1.0.0-6.20091201git117cb5.el6.x86_64
gmp-4.3.1-7.el6.x86_64
nfs-utils-1.2.2-4.el6.x86_64
libuser-0.56.13-3.el6.x86_64
libtalloc-2.0.1-1.1.el6.x86_64
cyrus-sasl-md5-2.1.23-8.el6.x86_64
vim-minimal-7.2.411-1.4.el6.x86_64
quota-3.17-10.el6.x86_64
libutempter-1.1.5-4.1.el6.x86_64
xinetd-2.3.14-29.el6.x86_64
ncurses-5.7-3.20090208.el6.x86_64
perl-Net-Telnet-3.03-11.el6.noarch
pam-1.1.1-4.el6.x86_64
mingetty-1.08-4.1.el6.x86_64
pacemaker-debuginfo-1.1.2-7.el6.x86_64
python-2.6.5-3.el6.x86_64
libsemanage-2.0.43-4.el6.x86_64
perl-Pod-Escapes-1.04-115.el6.x86_64
perl-Module-Pluggable-3.90-115.el6.x86_64
yum-metadata-parser-1.1.2-14.1.el6.x86_64
perl-libs-5.10.1-115.el6.x86_64
pyOpenSSL-0.10-2.el6.x86_64
gawk-3.1.7-6.el6.x86_64
hwdata-0.230-1.el6.noarch
libblkid-2.17.2-5.el6.x86_64
iputils-20071127-12.el6.x86_64
util-linux-ng-2.17.2-5.el6.x86_64
cyrus-sasl-2.1.23-8.el6.x86_64
lm_sensors-libs-3.1.1-9.el6.x86_64
crontabs-1.10-32.1.el6.noarch
grubby-7.0.15-2.el6.x86_64
yum-rhn-plugin-0.9.1-5.el6.noarch
dmraid-1.0.0.rc16-9.el6.x86_64
acl-2.2.49-4.el6.x86_64
plymouth-core-libs-0.8.3-12.el6.x86_64
kernel-2.6.32-37.el6.x86_64
newt-0.52.11-2.el6.x86_64
b43-openfwwf-5.2-4.el6.noarch
libxslt-1.1.26-2.el6.x86_64
iwl5000-firmware-8.24.2.12-3.el6.noarch
iptables-ipv6-1.4.7-3.el6.x86_64
atmel-firmware-1.3-7.el6.noarch
authconfig-6.1.4-6.el6.x86_64
ql2200-firmware-2.02.08-3.1.el6.noarch
ql2500-firmware-5.03.02-2.el6.noarch
net-snmp-5.5-24.el6.x86_64
ipw2200-firmware-3.1-4.el6.noarch
openssh-clients-5.3p1-19.el6.x86_64
sudo-1.7.2p2-7.el6.x86_64
libstdc++-4.4.4-12.el6.x86_64
rpcbind-0.2.0-7.el6.x86_64
redhat-logos-60.0.12-1.el6.noarch
glibc-common-2.12-1.4.el6.x86_64
selinux-policy-3.7.19-32.el6.noarch
plymouth-0.8.3-12.el6.x86_64
krb5-libs-1.8.2-2.el6.x86_64
selinux-policy-targeted-3.7.19-32.el6.noarch
cpio-2.10-9.el6.x86_64
yum-utils-1.1.26-11.el6.noarch
filesystem-2.4.30-2.1.el6.x86_64
ca-certificates-2010.63-3.el6.noarch
tzdata-2010i-1.el6.noarch
ncurses-libs-5.7-3.20090208.el6.x86_64
audit-libs-2.0.4-1.el6.x86_64
chkconfig-1.3.46-1.el6.x86_64
libselinux-2.0.94-1.el6.x86_64
gamin-0.1.10-9.el6.x86_64
nspr-4.8.4-2.el6.x86_64
corosynclib-1.2.3-15.el6.x86_64
nss-util-3.12.6-1.el6.x86_64
clusterlib-3.0.12-14.el6.x86_64
readline-6.0-3.el6.x86_64
openais-1.1.1-5.el6.x86_64
libacl-2.2.49-4.el6.x86_64
resource-agents-3.0.12-13.el6.x86_64
pacemaker-libs-1.1.2-7.el6.x86_64
rhn-client-tools-1.0.0-27.el6.noarch
cman-3.0.12-14.el6.x86_64
emacs-common-23.1-20.el6.x86_64
setup-2.8.14-10.el6.noarch
sqlite-3.6.20-1.el6.x86_64
libidn-1.18-2.el6.x86_64
xz-libs-4.999.9-0.3.beta.20091007git.el6.x86_64
pcre-7.8-3.1.el6.x86_64
libgcrypt-1.4.5-3.el6.x86_64
cryptsetup-luks-1.1.2-1.el6.x86_64
kpartx-0.4.9-23.el6.x86_64
rsyslog-4.6.2-2.el6.x86_64
pciutils-libs-3.1.4-9.el6.x86_64
less-436-4.el6.x86_64
libusb-0.1.12-23.el6.x86_64
file-5.04-5.el6.x86_64
dracut-004-25.el6.noarch
kernel-2.6.32-44.el6.x86_64
pinentry-0.7.6-5.el6.x86_64
rhn-setup-1.0.0-27.el6.noarch
e2fsprogs-libs-1.41.12-2.el6.x86_64
ethtool-2.6.33-0.3.el6.x86_64
gpgme-1.1.8-3.el6.x86_64
fipscheck-lib-1.2.0-4.1.el6.x86_64
python-dmidecode-3.10.12-1.el6.x86_64
python-pycurl-7.19.0-5.el6.x86_64
python-gudev-147.1-4.el6.x86_64
postfix-2.6.6-2.el6.x86_64
usermode-1.102-3.el6.x86_64
efibootmgr-0.5.4-8.el6.x86_64
iwl5150-firmware-8.24.2.2-1.el6.noarch
libertas-usb8388-firmware-5.110.22.p23-3.1.el6.noarch
iwl3945-firmware-15.32.2.9-4.el6.noarch
coreutils-libs-8.4-9.el6.x86_64
ql2100-firmware-1.19.38-3.1.el6.noarch
openssl-1.0.0-4.el6.x86_64
ql23xx-firmware-3.03.27-3.1.el6.noarch
module-init-tools-3.9-15.el6.x86_64
libedit-2.11-4.20080712cvs.1.el6.x86_64
dbus-libs-1.2.24-2.el6.x86_64
gdb-7.1-28.el6.x86_64
upstart-0.6.5-6.1.el6.x86_64
gzip-1.3.12-18.el6.x86_64
glibc-2.12-1.4.el6.x86_64
tar-1.23-3.el6.x86_64
db4-4.7.25-16.el6.x86_64
procps-3.2.8-14.el6.x86_64
elfutils-libelf-0.148-1.el6.x86_64
db4-utils-4.7.25-16.el6.x86_64
findutils-4.4.2-6.el6.x86_64
libtool-ltdl-2.2.6-15.5.el6.x86_64
pth-2.0.7-9.3.el6.x86_64
bzip2-libs-1.0.5-6.1.el6.x86_64
libibverbs-1.1.3-4.el6.x86_64
sed-4.2.1-5.el6.x86_64
libgssglue-0.1-8.1.el6.x86_64
dbus-1.2.24-2.el6.x86_64
libcap-2.16-5.2.el6.x86_64
rpm-python-4.8.0-12.el6.x86_64
augeas-libs-0.7.2-2.el6.x86_64
libgpg-error-1.7-3.el6.x86_64
lua-5.1.4-4.1.el6.x86_64
cyrus-sasl-lib-2.1.23-8.el6.x86_64
libxml2-2.7.6-1.el6.x86_64
telnet-0.17-46.el6.x86_64
cryptsetup-luks-libs-1.1.2-1.el6.x86_64
ipmitool-1.8.11-6.el6.x86_64
policycoreutils-2.0.82-32.el6.x86_64
sg3_utils-1.28-3.el6.x86_64
nss-tools-3.12.6-3.el6.x86_64
kbd-1.15-11.el6.x86_64
parted-2.1-8.el6.x86_64
lvm2-2.02.69-2.el6.x86_64
keyutils-1.4-1.el6.x86_64
expat-2.0.1-9.1.el6.x86_64
libtasn1-2.3-3.el6.x86_64
m2crypto-0.20.2-7.el6.x86_64
libevent-1.4.13-1.el6.x86_64
nfs-utils-lib-1.1.5-1.el6.x86_64
cifs-utils-4.4-4.el6.x86_64
dracut-kernel-004-25.el6.noarch
yajl-1.0.7-3.el6.x86_64
yum-3.2.27-12.el6.noarch
tcp_wrappers-7.6-56.3.el6.x86_64
system-config-firewall-base-1.2.26-1.el6.noarch
psmisc-22.6-15.el6.x86_64
perl-TimeDate-1.16-11.1.el6.noarch
libss-1.41.12-2.el6.x86_64
pexpect-2.3-6.el6.noarch
cracklib-dicts-2.8.16-2.el6.x86_64
fence-agents-3.0.12-6.el6.x86_64
python-libs-2.6.5-3.el6.x86_64
fipscheck-1.2.0-4.1.el6.x86_64
libgcc-4.4.4-12.el6.x86_64
perl-version-0.77-115.el6.x86_64
libxml2-python-2.7.6-1.el6.x86_64
perl-Pod-Simple-3.13-115.el6.x86_64
dbus-python-0.83.0-6.1.el6.x86_64
perl-5.10.1-115.el6.x86_64
slang-2.2.1-1.el6.x86_64
sgpio-1.2.0.10-5.el6.x86_64
libuuid-2.17.2-5.el6.x86_64
udev-147-2.21.el6.x86_64
openssh-5.3p1-19.el6.x86_64
cronie-anacron-1.4.4-2.el6.x86_64
net-snmp-libs-5.5-24.el6.x86_64
rhnsd-4.9.3-2.el6.x86_64
audit-2.0.4-1.el6.x86_64
dmraid-events-1.0.0.rc16-9.el6.x86_64
libdrm-2.4.20-2.el6.x86_64
libudev-147-2.21.el6.x86_64
bfa-firmware-2.1.2.1-2.el6.noarch
newt-python-0.52.11-2.el6.x86_64
aic94xx-firmware-30-2.el6.noarch
iptables-1.4.7-3.el6.x86_64
rootfiles-8.1-6.1.el6.noarch
libvirt-client-0.8.1-15.el6.x86_64
iwl1000-firmware-128.50.3.1-1.1.el6.noarch
libgudev1-147-2.21.el6.x86_64
rt73usb-firmware-1.8-7.el6.noarch
net-snmp-utils-5.5-24.el6.x86_64
ipw2100-firmware-1.3-11.el6.noarch
openssh-server-5.3p1-19.el6.x86_64
wget-1.12-1.4.el6.x86_64
mysql-libs-5.1.47-4.el6.x86_64
dbus-glib-0.86-5.el6.x86_64
valgrind-3.5.0-18.el6.x86_64
libcgroup-0.36.1-6.el6.x86_64
nss-softokn-freebl-3.12.4-18.el6.x86_64
plymouth-scripts-0.8.3-12.el6.x86_64
glib2-2.22.5-4.el6.x86_64
kernel-firmware-2.6.32-44.1.el6.noarch
kernel-2.6.32-44.1.el6.x86_64
grub-0.97-65.el6.x86_64
libattr-2.4.44-4.el6.x86_64
python-urlgrabber-3.9.1-7.el6.noarch
coreutils-8.4-9.el6.x86_64
openldap-2.4.19-15.el6.x86_64
libssh2-1.2.2-6.el6.x86_64
libcap-ng-0.6.4-3.el6.x86_64
logrotate-3.7.8-12.el6.x86_64
iproute-2.6.32-9.el6.x86_64
gdbm-1.8.0-36.el6.x86_64
m4-1.4.13-5.el6.x86_64
libffi-3.0.5-3.2.el6.x86_64
nss-softokn-3.12.4-18.el6.x86_64
corosync-1.2.3-15.el6.x86_64
nss-3.12.6-3.el6.x86_64
cluster-glue-libs-1.0.5-2.el6.x86_64
openaislib-1.1.1-5.el6.x86_64
curl-7.19.7-16.el6.x86_64
cluster-glue-1.0.5-2.el6.x86_64
rpm-libs-4.8.0-12.el6.x86_64
modcluster-0.16.2-8.el6.x86_64
pacemaker-1.1.2-7.el6.x86_64
MAKEDEV-3.24-6.el6.x86_64
device-mapper-libs-1.02.51-2.el6.x86_64
device-mapper-event-libs-1.02.51-2.el6.x86_64
lvm2-libs-2.02.69-2.el6.x86_64
kbd-misc-1.15-11.el6.noarch
tcp_wrappers-libs-7.6-56.3.el6.x86_64
sysvinit-tools-2.87-3.dsf.el6.x86_64
libnih-1.0.1-6.el6.x86_64
xorg-x11-drv-ati-firmware-6.13.0-6.el6.noarch
rhn-check-1.0.0-27.el6.noarch
net-tools-1.60-102.el6.x86_64
which-2.19-5.1.el6.x86_64
cracklib-2.8.16-2.el6.x86_64
keyutils-libs-1.4-1.el6.x86_64
passwd-0.77-4.el6.x86_64
ustr-1.0.4-9.1.el6.x86_64
pygpgme-0.1-18.20090824bzr68.el6.x86_64
python-ethtool-0.3-5.1.el6.x86_64
dash-0.5.5.1-3.1.el6.x86_64
python-iniparse-0.3.1-2.1.el6.noarch
rhnlib-2.5.22-5.el6.noarch
mdadm-3.1.2-11.el6.x86_64
cronie-1.4.4-2.el6.x86_64
e2fsprogs-1.41.12-2.el6.x86_64
iwl6000-firmware-9.176.4.1-2.el6.noarch
ql2400-firmware-5.03.02-1.el6.noarch
iwl4965-firmware-228.61.2.24-2.1.el6.noarch

Comment 13 Andrew Beekhof 2010-07-21 07:28:36 UTC
And finally, a trace with valgrind.
Same rpm list as comment #12 above


[root@pcmk-4 ~]# valgrind yum install -y emacs-nox
==14560== Memcheck, a memory error detector
==14560== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==14560== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==14560== Command: yum install -y emacs-nox
==14560== 
/usr/bin/python: can't open file 'yum': [Errno 2] No such file or directory
==14560== 
==14560== HEAP SUMMARY:
==14560==     in use at exit: 1,369,127 bytes in 8,806 blocks
==14560==   total heap usage: 16,842 allocs, 8,036 frees, 2,987,548 bytes allocated
==14560== 
==14560== LEAK SUMMARY:
==14560==    definitely lost: 0 bytes in 0 blocks
==14560==    indirectly lost: 0 bytes in 0 blocks
==14560==      possibly lost: 1,260,027 bytes in 8,136 blocks
==14560==    still reachable: 109,100 bytes in 670 blocks
==14560==         suppressed: 0 bytes in 0 blocks
==14560== Rerun with --leak-check=full to see details of leaked memory
==14560== 
==14560== For counts of detected and suppressed errors, rerun with: -v
==14560== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 6 from 6)
[root@pcmk-4 ~]# which yum
/usr/bin/yum
[root@pcmk-4 ~]# valgrind /usr/bin/yum install -y emacs-nox
==14563== Memcheck, a memory error detector
==14563== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==14563== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==14563== Command: /usr/bin/yum install -y emacs-nox
==14563== 
Loaded plugins: auto-update-debuginfo, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Found 47 installed debuginfo package(s)
Setting up Install Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package emacs-nox.x86_64 1:23.1-20.el6 set to be updated
--> Processing Dependency: emacs-common = 1:23.1-20.el6 for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2(ALSA_0.9.0rc4)(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Processing Dependency: libasound.so.2()(64bit) for package: 1:emacs-nox-23.1-20.el6.x86_64
--> Running transaction check
---> Package alsa-lib.x86_64 0:1.0.21-3.el6 set to be updated
---> Package emacs-common.x86_64 1:23.1-20.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================================================================================================
 Package                                                      Arch                                                   Version                                                         Repository                                            Size
================================================================================================================================================================================================================================================
Installing:
 emacs-nox                                                    x86_64                                                 1:23.1-20.el6                                                   rhel                                                 1.9 M
Installing for dependencies:
 alsa-lib                                                     x86_64                                                 1.0.21-3.el6                                                    rhel                                                 368 k
 emacs-common                                                 x86_64                                                 1:23.1-20.el6                                                   rhel                                                  18 M

Transaction Summary
================================================================================================================================================================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total size: 20 M
Installed size: 69 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : 1:emacs-common-23.1-20.el6.x86_64                                                                                                                                                                                        1/3 
==14563== Syscall param pwrite64(buf) points to uninitialised byte(s)
==14563==    at 0x51F1E63: __pwrite_nocancel (syscall-template.S:82)
==14563==    by 0xD073200: __os_io (os_rw.c:92)
==14563==    by 0xD061883: __memp_pgwrite (mp_bh.c:399)
==14563==    by 0xD061AE4: __memp_bhwrite (mp_bh.c:168)
==14563==    by 0xD06FA6B: __memp_sync_int (mp_sync.c:551)
==14563==    by 0xD00F669: __db_sync (db_am.c:577)
==14563==    by 0xD025003: __db_sync_pp (db_iface.c:1866)
==14563==    by 0xC6C6AA8: db3sync (db3.c:213)
==14563==    by 0xC6D248F: rpmdbAdd (rpmdb_internal.h:465)
==14563==    by 0xC6E61EE: rpmpsmStage (psm.c:1586)
==14563==    by 0xC6E6A96: rpmpsmStage (psm.c:1414)
==14563==    by 0xC6E672A: rpmpsmStage (psm.c:1504)
==14563==  Address 0x1dd4f704 is not stack'd, malloc'd or (recently) free'd
==14563== 
==14563== Warning: invalid file descriptor -1 in syscall close()
==14563== Warning: invalid file descriptor -1 in syscall close()

valgrind: m_mallocfree.c:248 (get_bszB_as_is): Assertion 'bszB_lo == bszB_hi' failed.
valgrind: Heap block lo/hi size mismatch: lo = 177, hi = 481.
This is probably caused by your program erroneously writing past the
end of a heap block and corrupting heap metadata.  If you fix any
invalid writes reported by Memcheck, this assertion failure will
probably go away.  Please try that before reporting this as a bug.

==14563==    at 0x3802A9A4: report_and_quit (m_libcassert.c:145)
==14563==    by 0x3802AC17: vgPlain_assert_fail (m_libcassert.c:217)
==14563==    by 0x380354E5: mkFreeBlock (m_mallocfree.c:248)
==14563==    by 0x38036B38: vgPlain_arena_free (m_mallocfree.c:1478)
==14563==    by 0x38001EE9: die_and_free_mem (mc_malloc_wrappers.c:123)
==14563==    by 0x380636E8: vgPlain_scheduler (scheduler.c:1363)
==14563==    by 0x3808C1C4: run_a_thread_NORETURN (syswrap-linux.c:91)

sched status:
  running_tid=1

Thread 1: status = VgTs_Runnable
==14563==    at 0x4C24D72: free (vg_replace_malloc.c:325)
==14563==    by 0xD2D2438: rfree (rpmmalloc.c:78)
==14563==    by 0xC6E625A: rpmpsmStage (psm.c:1493)
==14563==    by 0xC6E62B5: rpmpsmStage (psm.c:1505)
==14563==    by 0xC6FFB5A: rpmtsRun (transaction.c:1435)
==14563==    by 0xC4A951B: rpmts_Run (rpmts-py.c:556)
==14563==    by 0x4E6DE12: PyObject_Call (abstract.c:2492)
==14563==    by 0x4F02AC2: PyEval_CallObjectWithKeywords (ceval.c:3619)
==14563==    by 0x4E8899B: methoddescr_call (descrobject.c:246)
==14563==    by 0x4E6DE12: PyObject_Call (abstract.c:2492)
==14563==    by 0x4F078B0: PyEval_EvalFrameEx (ceval.c:3968)
==14563==    by 0x4F0952C: PyEval_EvalFrameEx (ceval.c:3836)
==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
==14563==    by 0x4F0952C: PyEval_EvalFrameEx (ceval.c:3836)
==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
==14563==    by 0x4F0A6A1: PyEval_EvalCode (ceval.c:541)
==14563==    by 0x4F256EB: run_mod (pythonrun.c:1339)
==14563==    by 0x4F257BF: PyRun_FileExFlags (pythonrun.c:1325)
==14563==    by 0x4F26C5B: PyRun_SimpleFileExFlags (pythonrun.c:935)
==14563==    by 0x4F332BC: Py_Main (main.c:572)
==14563==    by 0x5AA9C5C: (below main) (libc-start.c:226)


Note: see also the FAQ in the source distribution.
It contains workarounds to several common problems.
In particular, if Valgrind aborted or crashed after
identifying problems in your program, there's a good chance
that fixing those problems will prevent Valgrind aborting or
crashing, especially if it happened in m_mallocfree.c.

If that doesn't help, please report this bug to: www.valgrind.org

In the bug report, send all the above text, the valgrind
version, and what OS and version you are using.  Thanks.

Comment 14 Dave Malcolm 2010-07-21 14:27:00 UTC
(In reply to comment #13)
Thanks for these reports.

The valgrind report in comment #13 looks most immediately relevant.

(snip)
> valgrind: m_mallocfree.c:248 (get_bszB_as_is): Assertion 'bszB_lo == bszB_hi'
> failed.
> valgrind: Heap block lo/hi size mismatch: lo = 177, hi = 481.
> This is probably caused by your program erroneously writing past the
> end of a heap block and corrupting heap metadata.  If you fix any
> invalid writes reported by Memcheck, this assertion failure will
> probably go away.  Please try that before reporting this as a bug.
> 
> ==14563==    at 0x3802A9A4: report_and_quit (m_libcassert.c:145)
> ==14563==    by 0x3802AC17: vgPlain_assert_fail (m_libcassert.c:217)
> ==14563==    by 0x380354E5: mkFreeBlock (m_mallocfree.c:248)
> ==14563==    by 0x38036B38: vgPlain_arena_free (m_mallocfree.c:1478)
> ==14563==    by 0x38001EE9: die_and_free_mem (mc_malloc_wrappers.c:123)
> ==14563==    by 0x380636E8: vgPlain_scheduler (scheduler.c:1363)
> ==14563==    by 0x3808C1C4: run_a_thread_NORETURN (syswrap-linux.c:91)
> 
> sched status:
>   running_tid=1
> 
> Thread 1: status = VgTs_Runnable
> ==14563==    at 0x4C24D72: free (vg_replace_malloc.c:325)
> ==14563==    by 0xD2D2438: rfree (rpmmalloc.c:78)
> ==14563==    by 0xC6E625A: rpmpsmStage (psm.c:1493)
> ==14563==    by 0xC6E62B5: rpmpsmStage (psm.c:1505)
> ==14563==    by 0xC6FFB5A: rpmtsRun (transaction.c:1435)
> ==14563==    by 0xC4A951B: rpmts_Run (rpmts-py.c:556)
> ==14563==    by 0x4E6DE12: PyObject_Call (abstract.c:2492)
> ==14563==    by 0x4F02AC2: PyEval_CallObjectWithKeywords (ceval.c:3619)
> ==14563==    by 0x4E8899B: methoddescr_call (descrobject.c:246)
> ==14563==    by 0x4E6DE12: PyObject_Call (abstract.c:2492)
> ==14563==    by 0x4F078B0: PyEval_EvalFrameEx (ceval.c:3968)
> ==14563==    by 0x4F0952C: PyEval_EvalFrameEx (ceval.c:3836)
> ==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
> ==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
> ==14563==    by 0x4F0952C: PyEval_EvalFrameEx (ceval.c:3836)
> ==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
> ==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
> ==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
> ==14563==    by 0x4F0861D: PyEval_EvalFrameEx (ceval.c:3846)
> ==14563==    by 0x4F0A5A3: PyEval_EvalCodeEx (ceval.c:3000)
> ==14563==    by 0x4F0A6A1: PyEval_EvalCode (ceval.c:541)
> ==14563==    by 0x4F256EB: run_mod (pythonrun.c:1339)
> ==14563==    by 0x4F257BF: PyRun_FileExFlags (pythonrun.c:1325)
> ==14563==    by 0x4F26C5B: PyRun_SimpleFileExFlags (pythonrun.c:935)
> ==14563==    by 0x4F332BC: Py_Main (main.c:572)
> ==14563==    by 0x5AA9C5C: (below main) (libc-start.c:226)

psm.c line 1493 is within:

1136 rpmRC rpmpsmStage(rpmpsm psm, pkgStage stage)
1137 {
1138     const rpmts ts = psm->ts;
1139     rpm_color_t tscolor = rpmtsColor(ts);
1140     rpmfi fi = psm->fi;
  (snip)
1467    case PSM_FINI:
  (snip)
1493        fi->apath = _free(fi->apath);
1494        break;

If I'm reading this right, then it looks like there's a buffer overrun _somewhere_ that's writing to the fi->apath buffer, but writing beyond the bounds that are allocated.  This would explain the various errors that you're seeing, and the apparently random nature of it.

Comment 15 James Antill 2010-07-21 16:18:12 UTC
 I note that we have this:

    if (headerGet(h, RPMTAG_BASENAMES, &filenames, HEADERGET_ALLOC)) {
...
    h = headerFree(h);

    if (fi == NULL) {   /* XXX can't happen */
        goto exit;
    }
    fi->apath = filenames.data; /* Ick */
...
                headerGet(h, ftag, &filenames, HEADERGET_EXT);
                fi->apath = filenames.data; /* Ick.. */
                headerFree(h);


 The later seems unlikely to be correct (missing HEADERGET_ALLOC). The change that made this was:

commit dd46457ab5bedcaad7f83782dc6057d97372ec50
Date:   Tue Jun 10 14:31:43 2008 +0300

    Eliminate rpmfiBuildFNames() use in psm

...and rpmfiBuildFNames() did an xmalloc() and copied data. So if someone could try the patch:


-                headerGet(h, ftag, &filenames, HEADERGET_EXT);
+                headerGet(h, ftag, &filenames, HEADERGET_EXT | HEADERGET_ALLOC);

?

Comment 16 Andrew Beekhof 2010-07-22 05:33:21 UTC
If someone could do a scratch build I'd be happy to give it a test-drive.

Comment 17 Dave Malcolm 2010-07-23 14:50:49 UTC
Bug 612853 may be a duplicate of this one

Comment 18 Dave Malcolm 2010-07-23 14:52:06 UTC
Bug 617204 may also be a duplicate of this one

Comment 19 James Antill 2010-07-23 18:38:36 UTC
Created attachment 434031 [details]
Possible fix

This patch applies to the current RHEL-6 cvs rpm, it's my guess at what the problem is.

Comment 20 Florian Festi 2010-07-23 18:49:48 UTC
The opposite approach may also be a solution: Just skip the free on ->apath as the tags should reside in the header and be freed with it. There might be a if clause needed for the cases where apath is built by hand (rpmbuild).

Comment 21 Panu Matilainen 2010-07-26 09:34:46 UTC
Extensions (which RPMTAG_FILENAMES and ORIGFILENAMES are) do not honor HEADERGET_ALLOC presence. As the extension data is always, by definition, something that doesn't physically exist in the header and new memory must always be alloced in order to store the data generated by the extension. So the patch in comment #19 is technically simply a no-op.

I'm not able to dig deeper into this now as I'm still on vacation and mostly AFK for another two weeks but I'd be rather surprised if the actual problem is in this area, the code has been essentially the same since rpm 4.6.x.

If this is reproducable on some system, I'd suggest trying the reproducer with just rpm (instead of yum) under valgrind to see if it's misbehaving there too. The python bindings saw a huge amount of changes in rpm 4.8.x and it wouldn't exactly be shocking news if there are some refcounting etc bugs there, leading to memory corruption and the like.

Comment 23 Dave Malcolm 2010-07-26 15:37:52 UTC
It looks like this could be a duplicate/symptom of bug 607650, which is a KVM bug.  Is anyone seeing this on bare-metal installs, or is it only showing up on KVM?

Comment 24 Jarod Wilson 2010-07-27 05:03:25 UTC
(In reply to comment #23)
> It looks like this could be a duplicate/symptom of bug 607650, which is a KVM
> bug.  Is anyone seeing this on bare-metal installs, or is it only showing up on
> KVM?    

I've had no such problems with the two different bare-metal rhel6 boxes I've got, but I'm definitely seeing it in a kvm guest. However, I'm still seeing the problem in a kvm guest already running 2.6.32-52.el6. I've set transparent hugepages to 'never' to see if it still happens...

Comment 25 Jarod Wilson 2010-07-27 05:46:45 UTC
Just to confirm, the rpm patch didn't help here, same problem. I've now gotten the furthest I've ever been able to get with a series of mock builds inside this rhel6 kvm guest by setting transparent hugepages to 'never'. So yeah, I think this *is* bug 607650, but its still not completely fixed yet.

Comment 26 Denise Dumas 2010-07-28 17:15:06 UTC
kernel-2.6.32-44.2.el6 has a fix for this - is it reproducing with that kernel on the host?

Comment 27 Denise Dumas 2010-07-29 21:52:58 UTC
Jarod, Alexander, can you please try this with Snap 8?

Comment 28 Jarod Wilson 2010-07-29 22:01:41 UTC
(In reply to comment #27)
> Jarod, Alexander, can you please try this with Snap 8?    

Oh, forgot to update this bug when I updated bug 607650. My host is Fedora 12, not el6, and the patch was required host side, not guest-side, needed to patch it into the F12 kernel (so now 2.6.32.16-153.fc12 and later carry the patch too). Its all better now, even with thp turned back on in the guest.

Comment 29 Andrew Beekhof 2010-07-30 09:32:03 UTC
With kernel 2.6.32-54.el6.x86_64, I no longer seem to get the segfaults, but I do get a bunch of "invalid file descriptor" warnings which seem new.

[root@pcmk-3 ~]# uname -a
Linux pcmk-3 2.6.32-54.el6.x86_64 #1 SMP Wed Jul 28 00:06:54 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux


  Updating       : redhat-release-server-5.91Server-6.0.0.34.el6.x86_64                                                                                                                                         14/78 
  Updating       : iputils-20071127-13.el6.x86_64                                                                                                                                                               15/78 
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
  Updating       : initscripts-9.03.13-1.el6.x86_64                                                                                                                                                             16/78 
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
==1346== Warning: invalid file descriptor -1 in syscall close()
  

There is also:


Transaction Test Succeeded
Running Transaction
  Updating       : libudev-147-2.22.el6.x86_64                                                                                                                                                                   1/78 
==1346== Syscall param pwrite64(buf) points to uninitialised byte(s)
==1346==    at 0x51F1E63: __pwrite_nocancel (in /lib64/libpthread-2.12.so)
==1346==    by 0xD073200: __os_io (in /lib64/libdb-4.7.so)
==1346==    by 0xD061883: ??? (in /lib64/libdb-4.7.so)
==1346==    by 0xD061AE4: __memp_bhwrite (in /lib64/libdb-4.7.so)
==1346==    by 0xD06FA6B: __memp_sync_int (in /lib64/libdb-4.7.so)
==1346==    by 0xD00F669: __db_sync (in /lib64/libdb-4.7.so)
==1346==    by 0xD025003: __db_sync_pp (in /lib64/libdb-4.7.so)
==1346==    by 0xC6C6AA8: ??? (in /usr/lib64/librpm.so.1.0.0)
==1346==    by 0xC6D248F: rpmdbAdd (in /usr/lib64/librpm.so.1.0.0)
==1346==    by 0xC6E61EE: ??? (in /usr/lib64/librpm.so.1.0.0)
==1346==    by 0xC6E6A96: ??? (in /usr/lib64/librpm.so.1.0.0)
==1346==    by 0xC6E672A: ??? (in /usr/lib64/librpm.so.1.0.0)
==1346==  Address 0x1e3a9ef4 is not stack'd, malloc'd or (recently) free'd

which may or may not be serious.

Comment 30 James Antill 2010-07-30 13:59:21 UTC
The close() calls are almost certainly just an annoying warning, that mean nothing ... just ignore those.

The pwrite() is somewhat interesting, but looks like something internal to libdb (to me). It could easily be a false positive (Eg. mmap() data).

Comment 31 Phil Knirsch 2010-08-02 13:58:17 UTC
As the initial problem of the bug has obviously been fixed with the latest kernel build (as it was not really an rpm bug to begin with) i'm closing this bug as fixed now.

Feel free to open new bugs regarding your findings in comment #29, Andrew. But at this point in development of RHEL-6 i wouldn't consider those to be blocking issues for GA, see James' comment #30.

Thanks everyone!

Regards, Phil


Note You need to log in before you can comment on or make changes to this bug.